<?php

function generateField($value){

	$output = '';
	$value['current'] = stripslashes($value['current']);
	
	switch ( $value['type'] ) {	
		
		/***** HTML Block *****/

		case 'heading' :
		
			$output .= '<div class="theme-entry">';
			$output .= '<div class="heading">';
			$output .= $value['name'];
			$output .= '</div><!-- .heading -->';
			$output .= '</div><!-- .theme-entry -->';
			break;						
			
		/***** HTML Block *****/

		case 'html' :
		
			$output .= '<div class="theme-entry">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Text Field *****/

		case 'text' :			
			
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<input name="'.$value['id'].'" type="text" value="'.$value['current'].'" class="theme-input size-'.$value['size'].'" />';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;
			
		/***** Range Field *****/

		case 'range' :			
			
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<input type="range" name="'.$value['id'].'" min="'.$value['min'].'" max="'.$value['max'].'" step="'.$value['step'].'" value="'.$value['current'].'" />';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;		

		/***** Text Area *****/

		case 'textarea' :

			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<textarea name="'.$value['id'].'" cols="" rows="" class="theme-textarea">'.$value['current'].'</textarea>';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description-block">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description-block -->';
			$output .= '</div><!-- .theme-entry -->';
			break;
		
		/***** Select box *****/

		case 'select' :
			
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field" id="'.$value['id'].'_preview">';						
			$output .= '<select name="' . $value['id'] . '" class = "size-'.$value['size'].'">';
			foreach($value['data'] as $key => $entry) {
				if($value['current'] == $key) {
					$selected = " selected='selected'";
				} else {
					$selected = "";
				}							
				$output .= '<option'.$selected.' value="'. $key .'">' . $entry . '</option>';
			}
			$output .= '</select>';						
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;
			
		/***** Font Selector box *****/

		case 'font' :						

			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';												
			if($value['data'] == 'general'){						
				global $general_fonts;		
				$output .= '<select name="' . $value['id'] . '" class="theme-font-selector" id = "'. $value['id'].'">';
				foreach($general_fonts as $key => $entry) {
					if($value['current'] == $key) {
						$selected = " selected='selected'";
					} else {
						$selected = "";
					}
					$output .= '<option'.$selected.' value="'. $key .'">' . $entry . '</option>';
				}
				$output .= '</select>';							
				$output .= '<div id="'.$value['id'].'-preview" class="theme-body-font-preview" style="font-family: '.$general_fonts[$value['current']].'">';
				$output .= 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.';
				$output .= '</div>';
			}
			
			if($value['data'] == 'google'){						
				global $google_fonts;		
				$output .= '<select name="' . $value['id'] . '" class="theme-google-font-selector" id = "'. $value['id'].'">';
				foreach($google_fonts as $key => $entry) {
					if($value['current'] == $entry) {
						$selected = " selected='selected'";
					} else {
						$selected = "";
					}
					$output .= '<option'.$selected.' value="'. $entry .'">' . $key . '</option>';
				}
				$output .= '</select>';						
				$header_font_family = array_search($value['current'], $google_fonts);							
				$output .= '<link href="http://fonts.googleapis.com/css?family='.$value['current'].'" rel="stylesheet" type="text/css" class="'.$value['id'].'-temp-header-font" />';							
				$output .= '<div id="'.$value['id'].'-preview" class="theme-header-font-preview" style="font-family: '.$header_font_family.'">';
				$output .= 'Lorem ipsum dolor sit amet';
				$output .= '</div>';							
				$output .= '<small>Note: Give a second for each Google font to load when previewing.</small>';
			}
			
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Radio Set *****/

		case 'radio' :					
			$radio_options = $value['data'];
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			foreach($radio_options as $key => $entry) {
				if($value['current'] == $key) {
					$checked = " checked";
				} else {
					$checked = "";
				}							
				$output .= '<p><input class="theme-radio" type="radio" name="'.$value['id'].'" value="'.$key.'"'.$checked.'>'.$entry.'</p>';
			}
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Checkbox (group of checkboxes) *****/

		case 'checkbox' :
			
			$checkboxes = $value['data'];
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			foreach($checkboxes as $key => $entry) {				
				$checked = '';
				if( in_array($key, $value['current']) ) {
				   $checked = " checked='checked'";
				}
				$output .= '<p><input type="checkbox" name="'.$value['id'].'[]" value="'.$key.'" class="theme-checkbox'.$checked.'" />'.$entry.'</p>';						
			}
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';					  
			$output .= '</div><!-- .theme-entry -->';
			break;
			
		/***** Toggle *****/							
		
		case 'toggle' :
			
			$checked = '';
			if($value['current'] == 'true'){
				$checked = 'checked="checked"';
			}						
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<p><input type="checkbox" name="'.$value['id'].'" value="true" class="toggle-button" '.$checked.' /></p>';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';					  
			$output .= '</div><!-- .theme-entry -->';
			break;						
		
		/***** Color Picker *****/

		case 'colorpicker' :						

			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<script type="text/javascript">';
			$output .= '(function($){';
			$output .= 'var initLayout = function() {';
			$output .= 'var hash = window.location.hash.replace("#", "");';
			$output .= '$("#'.$value['id'].'").ColorPicker({';
			$output .= 'onSubmit: function(hsb, hex, rgb, el) {';
			$output .= '$(el).val(hex);';
			$output .= '$(el).ColorPickerHide();';
			$output .= '},';
			$output .= 'onBeforeShow: function () {';
			$output .= '$(this).ColorPickerSetColor(this.value);';
			$output .= '}';
			$output .= '})';
			$output .= '.bind("keyup", function(){';
			$output .= '$(this).ColorPickerSetColor(this.value);';
			$output .= '});';
			$output .= '};';
			$output .= 'EYE.register(initLayout, "init");';
			$output .= '})(jQuery)';
			$output .= '</script>';
			$output .= '<div class="theme-field">';
			$output .= '<input name="'.$value['id'].'" id="'.$value['id'].'" type="text" value="'.$value['current'].'" class="theme-input-color" />';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';						
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Upload File *****/

		case 'upload' :						

			if($value['current']) {
				$hasFile =  ' has-file';
			} else {
				$hasFile = '';
			}
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<input type="text" name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'" class="theme-input upload'.$hasFile.'" />';
			$output .= '<input id="upload_'.$value['id'].'" class="upload_button" type="button" value="Upload" />';
			$output .= '<div class="clear"></div>';
			$output .= '<div class="theme-file" ';
			if(!$value['current']){	
				$output .= 'style="display:none;" ';
			}
			$output .= 'id="'.$value['id'].'_image">';
			
			if ( $value['current'] ) {
				$image = preg_match( '/(^.*\.jpg|jpeg|png|gif|ico*)/i', $value['current'] );
				if($image){								
					$output .= '<img src="'.$value['current'].'" alt="" />';
				} else {
					$output .= '<div class="warning">';
					$output .= 'Oops! You did not enter a URL to an image.';
					$output .= '</div>';
				}
			}
			$removeId = $value['id']."_image";
			$output .= '<a href="#'.$removeId.'" title="Remove" class="theme-file-remove">';
			$output .=  "Remove Image";
			$output .= '</a>';
			$output .= '</div><!-- .theme-file -->';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Checkbox list of Pages *****/

		case 'page_list' :
			
			$entries = get_pages('title_li=&sort_column=menu_order');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';

			foreach ($entries as $key => $entry) {
				$value['id'] = $entry->ID;
				$title = $entry->post_title;
				$checked = '';
				if($value['current']) {
					foreach ($value['current'] as $entry2) {
						if($entry2 == $value['id']) {
							$checked = ' checked="checked" ';
						}
					}
				}
				$output .= '<p><input class="theme-checkbox" type="checkbox" name="' . $value['id'] . '[]" value="' . $value['id'] . '"' . $checked . '> ' . $title . '</p>';
			}

			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';						
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Checkbox list of Blog Categories *****/

		case 'category_list' :
			
			$entries = get_categories('title_li=&orderby=name&hide_empty=0');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			
			foreach ($entries as $key => $entry) {
				$value['id'] = $entry->term_id;
				$title = $entry->name;
				$checked = '';
				if($value['current']) {
					foreach ($value['current'] as $entry2) {
						if($entry2 == $value['id']) {
							$checked = ' checked="checked" ';
						}
					}
				}
				$output .= '<p><input class="theme-checkbox" type="checkbox" name="' . $value['id'] . '[]" value="' . $value['id'] . '"' . $checked . '> ' . $title . '</p>';
			}

			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;
			
		/***** Dropdown of Slideshow Categories *****/

		case 'slideshow_category' :
			
			$select = 'All Categories';
			$entries = get_terms('slideshow_category','orderby=name&hide_empty=0');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';
			$output .= '<option value="all">' . $select .'</option>';

			foreach ($entries as $key => $entry) {				
				if ( $value['current'] == $entry->slug) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $entry->slug.'">' . $entry->name . '</option>';						
			}

			$output .= '</select>';

			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;
			
		/***** Dropdown of Portfolio Categories *****/

		case 'portfolio_category' :
			
			$select = 'All Categories';
			$entries = get_terms('portfolio_category','orderby=name&hide_empty=0');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';
			$output .= '<option value="all">' . $select .'</option>';

			foreach ($entries as $key => $entry) {				
				if ( $value['current'] == $entry->slug) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $entry->slug.'">' . $entry->name . '</option>';							
			}

			$output .= '</select>';

			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;	

		/***** Dropdown of Galley Categories *****/

		case 'gallery_category' :
			
			$select = 'All Categories';
			$entries = get_terms('gallery_category','orderby=name&hide_empty=0');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';
			$output .= '<option value="all">' . $select .'</option>';

			foreach ($entries as $key => $entry) {				
				if ( $value['current'] == $entry->slug) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $entry->slug.'">' . $entry->name . '</option>';							
			}

			$output .= '</select>';

			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;	
			
		/***** Dropdown of Pages *****/

		case 'page_dropdown' :					

			$entries = get_pages('title_li=&sort_column=menu_order');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';
			$output .= '<option value="">None</option>';
			
			foreach ($entries as $key => $entry) {
				$value['id'] = $entry->ID;
				$title = $entry->post_title;
				if ( $value['current'] == $value['id']) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $value['id'].'">' . $title . '</option>';
			}

			$output .= '</select>';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Dropdown of Blog Categories *****/

		case 'category_dropdown' :				

			$select = 'All Categories';
			$entries = get_categories('title_li=&orderby=name&hide_empty=0');
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';
			$output .= '<option value="all">' . $select .'</option>';

			foreach ($entries as $key => $entry) {
				$title = $entry->name;
				if ( $value['current'] == $entry->term_id) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $entry->term_id.'">' . $title . '</option>';							
			}

			$output .= '</select>';
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';			   
			$output .= '</div><!-- .theme-entry -->';
			break;

		/***** Dropdown of Widget Areas *****/

		case 'widgetarea_dropdown' :						

			global $wp_registered_sidebars;
			$entries = $wp_registered_sidebars;
			$output .= '<div class="theme-entry">';
			$output .= '<div class="theme-label">';
			$output .= '<label for="'.$value['id'].'">'.$value['name'].'</label>';
			$output .= '</div><!-- .theme-label -->';
			$output .= '<div class="theme-field">';
			$output .= '<select name="'.$value['id'].'" id="'.$value['id'].'" value="'.$value['current'].'">';						

			foreach ($entries as $key => $entry) {
				$value['id'] = $entry['id'];
				$title = $entry['name'];
				if ( $value['current'] == $value['id']) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				$output .= '<option '.$selected.' value="'. $value['id'].'">' . $title . '</option>';
			}

			$output .= '</select>';						
			$output .= '</div><!-- .theme-field -->';
			$output .= '<div class="theme-description">';
			$output .= $value['desc'];
			$output .= '</div><!-- .theme-description -->';
			$output .= '</div><!-- .theme-entry -->';
			break;					

		case 'themechooser' :
		
			$template_url = get_template_directory_uri();
			$i = 0;				   
			foreach ($value['data'] as $key => $option) { 
				$i++;
				$checked = '';
				$selected = '';
				if($value['current'] != '') {
					if ( $value['current'] == $key) { $checked = ' checked'; $selected = 'themechooser-selected'; } 
				} else {
					if ($value['std'] == $key) { $checked = ' checked'; $selected = 'themechooser-selected'; }
					elseif ($i == 1  && !isset($value['current'])) { $checked = ' checked'; $selected = 'themechooser-selected'; }
					elseif ($i == 1  && $value['std'] == '') { $checked = ' checked'; $selected = 'themechooser-selected'; }
					else { $checked = ''; }
				}	
				
				$output .= '<span>';
				$output .= '<input type="radio" id="themechooser-' . $value['id'] . $i . '" class="checkbox themechooser-radio" value="'.$key.'" name="'. $value['id'].'" '.$checked.' />';
				$output .= '<div class="themechooser-label">'. $key .'</div>';
				$output .= '<div style="background:url('.$template_url . '/framework/admin/layout/images/color-themes/'.$key.'.png) center top" title="'.$option.'" class="themechooser-img '. $selected .'" onClick="document.getElementById(\'themechooser-'. $value['id'] . $i.'\').checked = true;"></div>';
				$output .= '</span>';							
			}

			$output .= '<div style="clear:both;"></div>';					
			break;
	}	
				
	return $output;
}

?>