<?php

if(!is_array($theme_options)) { $theme_options = array(); }

class OptionGenerator {

    var $info;
    var $options;

    function OptionGenerator($info, $options) {
        $this->info = $info;
        $this->options = $options;
        add_action('admin_menu', array(&$this, 'add_to_menu'));
			
		foreach ($options as $option) {
			foreach($option['options'] as $value) {
				if($value['id']){
					if(get_option($value['id']) === FALSE){
						update_option( $value['id'], $value['std'] );
					}
				}
			}
		} 
		
		add_action('admin_head', array(&$this, 'theme_admin_head'));
		add_action('wp_ajax_theme_ajax_save', array(&$this, 'theme_ajax_callback'));
    }

    function add_to_menu() {

        $pageTitle = $this->info['pageTitle'];
        $menuTitle = $this->info['menuTitle'];
        $pageLevel = $this->info['pageLevel'];
        $pageSlug = $this->info['pageSlug'];
		
		if($menuTitle) {
	        if($pageLevel == 'parent'){
	            add_menu_page( $pageTitle, THEME_NAME, "administrator", THEME_SLUG, array(&$this, 'options_page'), "");
	            add_submenu_page( THEME_SLUG, $pageTitle, $menuTitle, "administrator", THEME_SLUG, array(&$this, 'options_page') );
	        } else {
	            add_submenu_page( THEME_SLUG, $pageTitle, $menuTitle, "administrator", THEME_SLUG."-".$pageSlug."-settings", array(&$this, 'options_page') );
	        }	        
		}		
    }
	
	function theme_admin_head() {
?>
<script type="text/javascript">	

jQuery.noConflict()(function($){		
	$(document).ready(function(){		
		
		$.fn.positionit = function () {
			this.animate({"top":( $(window).height() - this.height() - 200 ) / 2+$(window).scrollTop() + "px"},100);
			this.css("left", 250 );
			return this;
		}				
		$('#theme-options-save').positionit();
		$(window).scroll(function() { 				
			$('#theme-options-save').positionit();
		});
	
		$('#theme-options-form').submit(function(){
								
			$('input.button-primary').val('Saving...');			
			function updated_values() {						
				var serialized_values = $("#theme-options-form").serialize();						
				return serialized_values;
			}					
			var serialized_return = updated_values();
						
			var ajax_url = '<?php echo admin_url("admin-ajax.php"); ?>';					

			var data = {
				action: 'theme_ajax_save',
				data: serialized_return
			};					
			
			$.post(ajax_url, data, function(response) {				
				var success = $('#theme-options-save');				
				success.fadeIn();
				window.setTimeout(function(){
				   success.fadeOut();   	
				}, 2000);
				
				$('input.button-primary').val('Save Changes');		
						
<?php
		foreach($this->options as $option){
			foreach($option['options'] as $value) {
				if($value['type'] == 'upload'){
				
?>
				var image_url = $('#<?php echo $value['id']; ?>').val();
				
				$('#<?php echo $value['id']; ?>_image img').remove();
				$('#<?php echo $value['id']; ?>_image .warning').remove();
				$('#<?php echo $value['id']; ?>_image').hide();
				
				if(image_url){							
					var uploaded_image_display = '<img src="' + image_url + '" />';							
					$('#<?php echo $value['id']; ?>_image').prepend(uploaded_image_display);
					$('#<?php echo $value['id']; ?>_image').show();
				}
<?php
				}
			}
		}
?>					
			});					
			return false; 					
		});			
	});
});	
</script>
<?php
	}

	function theme_ajax_callback() {
		
		$options = $this->options;
		$data = $_POST['data'];
		parse_str($data, $values);
		
		foreach ($options as $option) {
			foreach($option['options'] as $value) {
				if($value['id']){
					update_option( $value['id'], $values[$value['id']] );
				}
			}
		}
	}

    function options_page() {
	
		$options = $this->options;
       
        $pageTitle = $this->info['pageTitle'];
        $pageLevel = $this->info['pageLevel'];
		
		if( isset($_REQUEST['action']) && $_REQUEST['action'] == 'Reset Options' ) {
			foreach ($options as $option) {
				foreach($option['options'] as $value) {
					if($value['id']){
						delete_option( $value['id'] );
					}
				}
			}			
			echo '<div class="updated"><p><strong>Theme Options reset to default!</strong></p></div>'; 
		}
		
		if( isset($_REQUEST['action']) && $_REQUEST['action'] == 'Save Changes' ) {			
			foreach ($options as $option) {
				foreach($option['options'] as $value) {		
					if($value['id']){
						update_option( $value['id'], $_REQUEST[$value['id']] );
					}
				}
			}			
			echo '<div class="updated"><p><strong>Theme Options saved!</strong></p></div>'; 	
		}
        
		$theme_data = get_theme_data(get_stylesheet_uri());
		echo '<div class="theme-wrap">';
        echo '<div id="theme-options">';  
        echo '<div id="theme-options-save">';
        echo '<div class="pad">';
        echo '<p><strong>Theme Options saved!</strong></p>';
        echo '</div>';
        echo '</div>';
        echo '<div class="theme-options-header">';
        echo '<h2>'.THEME_NAME.' - '.$pageTitle.'</h2><span>Version - '.$theme_data['Version'].'</span>';		
        echo '</div><!-- .theme-options-header  -->';
        echo '<div class="theme-options-main">';		
        echo '<form method="post" id="theme-options-form">';       

		$tabWidth = '';
		
		if(count($options) > 1){
		
			$tabWidth = ' style=" width: 635px;"'; 			
			
			echo '<div class="theme-menu">';
			echo '<ul>';
			
			foreach ($options as $option) {			
				echo '<li><a href="#'.$option['slug'].'" title="'.$option['name'].'" >'.$option['name'].'</a></li>';				
			}

			echo '</ul>';
			echo '</div><!-- .theme-menu -->';
		}
		
	
        foreach ($options as $option) {
		
			echo '<div id="'.$option['id'].'" class="theme-tab"'.$tabWidth.'>';
			echo '<div class="pad">';
			echo '<h1>'.$option['name'].'</h1>';

			echo '<span class="submit"><input name="action" type="submit" class="button-primary" value="Save Changes" /></span>';

			foreach($option['options'] as $value){
				$value['current'] = get_option( $value['id'], $value['std']);
				echo generateField($value);
			}			
			
			echo '</div><!-- .pad -->';
			echo '</div><!-- #';
			if( isset($option['id']) ){
				echo $option['id'];
			}
			echo ', theme-tab -->';
        }

        echo '<div class="clear"></div>';
        echo '</div><!-- #theme-options-main -->';
        echo '<div class="theme-footer">';
        echo '<span class="submit"><input type="submit" name="action" value="Save Changes" class="button-primary" /></span>';        
        echo '</form><!-- #theme-options-form -->';        
        echo '<form method="post" id="theme-options-reset-form">';
        echo '<span class="submit reset">';
        echo '<input name="action" type="submit" value="Reset Options" onclick="return confirm(\'Are you sure you want to reset all the settings for this page?\');" />';
        echo '</span>';
        echo '</form><!-- #theme-options-form -->';        
        echo '<div class="clear"></div>';        
        echo '</div><!-- .theme-footer -->';
        echo '</div><!-- #theme-options -->';
        echo '</div><!-- .wrap -->';
    }

} 

$info = array(
    "pageTitle" => "Theme Options",
    "menuTitle" => "Theme Options",
    "pageLevel" => "parent",
    "pageSlug" => "options"
);

$theme_option_settings = new OptionGenerator($info, $theme_options);

?>