<?php

$theme_options = array();

/******** General Settings ********/

$general_settings = array();

$general_settings[] =  array( "type" => "html",
						"desc" => "The ".THEME_NAME." theme comes with a powerful assortment of tools to help you quickly and easily setup and manage your website. Using the fields below, configure your menu, UI settings and other general functions." );
						
$general_settings[] =  array( "type" => "heading",
						"name" => "Main Menu" );
						
$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_toggle",
						"std" => "true",
						"desc" => "<strong>Main Menu</strong> - Click to toggle your main menu navigation on or off." );
						
$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_desc",
						"std" => "true",
						"desc" => "<strong>Menu Description</strong> - Click to toggle your main menu description on or off." );	

$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_dropdown",
						"std" => "true",
						"desc" => "<strong>Dropdown</strong> - Click to toggle your main menu dropdown on or off." );										

$general_settings[] =  array( "type" => "heading",
						"name" => "Sub - Menu" );	

$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_submenu_toggle",
						"std" => "true",
						"desc" => "<strong>Sub-Menu</strong> - Click to toggle your sub-menu navigation on or off. " );					

$general_settings[] =  array( "type" => "heading",
						"name" => "User Interface" );	
						
$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_breadcrumbs",
						"std" => "true",
						"desc" => "<strong>Breadcrumbs</strong> - Click to toggle the breadcrumbs on or off through-out your website" );	
						
$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_searchbar",
						"std" => "true",
						"desc" => "<strong>Search bar</strong> - Click to toggle the Search bar on or off through-out your website" );						
						
$general_settings[] =  array( "type" => "heading",
						"name" => "Header Logo" );
						
$general_settings[] = array( "type" => "upload",
						"name" => "",
						"id" => THEME_SLUG."_site_logo",
						"std" => get_template_directory_uri()."/images/logo.png",
						"desc" => "Enter in the full URL of your own custom logo. To properly fit into the current header background, try to fit your logo into a 100px X 250px wide image.<br />Ex: http://www.mysite.com/wp-content/uploads/2011/06/logo.png" );			

$general_settings[] =  array( "type" => "heading",
						"name" => "Favicon Image" );			
			
$general_settings[] = array( "type" => "upload",
						"name" => "",
						"id" => THEME_SLUG."_favicon",
						"std" => "",
						"desc" => "Enter in the full URL of your own favicon image. Make sure it is 16px X 16px, usually a very simple design works best.<br />Ex: http://www.mysite.com/wp-content/uploads/2011/06/favicon.ico" );
	
$general_settings[] =  array( "type" => "heading",
						"name" => "Footer layout" );
						
$general_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_footer_columns",
						"std" => "one-fourth",
						"data" => array( 
								"one" => "One column",
								"one-half" => "Two columns",
								"one-third" => "Three columns",
								"one-fourth" => "Four columns",
								"one-third-two-third" => "One Third - Two Third",
								"two-third-one-third" => "Two Third - One Third",
								"one-fourth-three-fourth" => "One Fourth - Three Fourth",
								"three-fourth-one-fourth" => "Three Fourth - One Fourth",
						),
						"size" => "medium",
						"desc" => "Choose the layout of columns to use in your footer area." );	
						
$general_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_footer_header_color",
						"std" => "",
						"desc" => "<strong>Footer Header Color</strong> - Choose the font color by including the HEX # ie. 2ba412" );						
						
$general_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_footer_separator",
						"std" => "",
						"desc" => "<strong>Footer Column Separator</strong> - Enable/Disable the footer column separator bar" );	
						
$general_settings[] =  array( "type" => "heading",
						"name" => "Copyright Text" );						
						
$general_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_copyright_text",
						"std" => "Copyright &copy; 2011 Your Company Name. All rights reserved.",
						"size" => "large",
						"desc" => "Enter the copyright text that will be displayed at the very bottom of your website pages." );	
	
$general_settings[] =  array( "type" => "heading",
						"name" => "404 Page" );			

$general_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_404_title",
						"std" => "Oops!",
						"size" => "normal",
						"desc" => "<strong>Title</strong> - Provide the title for 404 page" );							
						
$general_settings[] =  array( "type" => "textarea",
						"name" => "",
						"id" => THEME_SLUG."_404_content",
						"std" => "The page you are looking for does not exist.",
						"desc" => "<strong>Content</strong> - Provide the content for 404 page, you can use standard html tags here." );							
						
			
$theme_options[] =  array( "name" => "General Settings",
					"id" => "general-settings",
					"slug" => "general-settings",
					"options" => $general_settings
				);	
				
				
/******** Theme Settings ********/

$theme_settings = array();

$theme_settings[] =  array( "type" => "html",
						"desc" => "Choose from 10 gorgeous color schemes below. Continue customizing your theme by navigating to the Home Page, General Settings and other ".THEME_NAME." admin pages." );

$theme_settings[] =  array( "type" => "heading",
						"name" => "" );							

$theme_settings[] =  array( "type" => "themechooser",
						"name" => "",
						"id" => THEME_SLUG."_color_theme",
						"std" => "business-blue",
						"data" => $GLOBALS['color_themes'],
						"desc" => "" );						


	
$theme_options[] =  array( "name" => "Color Options",
					"id" => "themes",
					"slug" => "themes", 
					"options" => $theme_settings
				);		
					
					
/******** Home Settings ********/	

$home_settings = array();

$home_settings[] =  array( "type" => "html",
						"desc" => "Choose your preferred slider, its transition effect and other settings below. These are your default settings used when not overwritten in your slider shortcodes" );
	
						
$home_settings[] =  array( "type" => "heading",
						"name" => "Homepage Slider" );

$home_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_homepage_slider",
						"std" => "true",
						"desc" => "If you don't want a homepage slider, turn off the slider area here." );	
	
$home_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_homepage_slider_type",
						"std" => "nivo",
						"data" => array(
							"nivo" => "Nivo",
							"anything" => "Anything",
							"piecemaker" => "3D Rotator",
						),
						"size" => "small",
						"desc" => "<strong>Slider</strong> - Choose the slider type." );	
	
$home_settings[] =  array( "type" => "slideshow_category",
						"name" => "",
						"id" => THEME_SLUG."_homepage_nivo_category",
						"std" => "all",
						"desc" => "<strong>Nivo Slideshow</strong> - Choose the slideshow to be displayed for Nivo slider." );		

$home_settings[] =  array( "type" => "slideshow_category",
						"name" => "",
						"id" => THEME_SLUG."_homepage_anything_category",
						"std" => "all",
						"desc" => "<strong>Anything Slideshow</strong> - Choose the slideshow to be displayed for Anything slider." );

$home_settings[] =  array( "type" => "slideshow_category",
						"name" => "",
						"id" => THEME_SLUG."_homepage_piecemaker_category",
						"std" => "all",
						"desc" => "<strong>3D Slideshow</strong> - Choose the slideshow to be displayed for 3D Rotator." );						
						
$home_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_homepage_slider_height",
						"std" => "350",
						"min" => "200",
						"max" => "500",
						"step" => "5",
						"size" => "small",
						"desc" => "<strong>Slide Height (px)</strong>" );				
	
$home_settings[] =  array( "type" => "heading",
						"name" => "Homepage Scroller" );
	
$home_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_homepage_scroller",
						"std" => "true",
						"desc" => "If you don't want a homepage scroller, turn off the scroller area here." );		

$home_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_homepage_scroller_type",
						"std" => "portfolio",
						"data" => array(
							"portfolio" => "Portfolio",
							"channelit" => "Channelit",							
							"html" => "HTML",
						),
						"size" => "small",
						"desc" => "<strong>Type</strong> - Choose the scroller content type." );							

$home_settings[] =  array( "type" => "portfolio_category",
						"name" => "",
						"id" => THEME_SLUG."_homepage_scroller_portfolio",
						"std" => "all",
						"desc" => "<strong>Portfolio Category</strong> - Choose the category for the portfolio." );
						
$home_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_homepage_scroller_channel",
						"std" => "",
						"desc" => "<strong>Youtube Channel</strong> - Provide the youtube channel to fetch videos from." );
						
$home_settings[] =  array( "type" => "textarea",
						"name" => "",
						"id" => THEME_SLUG."_homepage_scroller_html",
						"std" => "",
						"desc" => "<strong>HTML</strong> - You can put any HTML content here. You can even paste shortcodes." );						
						
$home_settings[] =  array( "type" => "heading",
						"name" => "Mobile Home Page" );	

$home_settings[] =  array( "type" => "page_dropdown",
						"name" => "",
						"id" => THEME_SLUG."_mobile_home",
						"std" => "",
						"desc" => "Select the mobile landing page. Please make sure that the page uses the \"Default\" template." );
												
$theme_options[] =  array( "name" => "Home Page",
					"id" => "home",
					"slug" => "home", 
					"options" => $home_settings
				);
				
				
/******** Font Settings ********/	

$font_settings = array();

$font_settings[] =  array( "type" => "html",
						"desc" => "The Font Settings page lets you easilly customize the font type, size and color of your themes menu, headers, content text, links and other text on your website. Upon changing the font, the preview window
updates to your selections.<br /><br />***NOTE: If you customize the fields below, then choose a different color scheme from the Color Options page, you must clear all font color fields below to use the selected color scheme defaults." );

$font_settings[] =  array( "type" => "heading",
						"name" => "Main Menu Font" );

$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_font_size",
						"std" => "13",
						"min" => "10",
						"max" => "20",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );
					
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_font_color",
						"std" => "",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );	
						
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_mainmenu_font_family",
						"std" => "lucida",
						"data" => "general",
						"desc" => "" );

$font_settings[] =  array( "type" => "heading",
						"name" => "Sub-Menu Font" );

$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_submenu_font_size",
						"std" => "13",
						"min" => "10",
						"max" => "15",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );

$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_submenu_font_color",
						"std" => "",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );	
						
$font_settings[] =  array( "type" => "heading",
						"name" => "Large Header Font (H1)" );

$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_h1_font_size",
						"std" => "24",
						"min" => "15",
						"max" => "30",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );

$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h1_font_style",
						"std" => "normal",
						"data" => array( 
								"normal" => "Normal",
								"italic" => "Italic"							
							),
						"size" => "small",
						"desc" => "<strong>Style</strong> - Choose the font style that you'd like your large header font to be." );						

$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h1_font_weight",
						"std" => "normal",
						"data" => array( 
								"normal" => "Normal",
								"bold" => "Bold"							
							),
						"size" => "small",
						"desc" => "<strong>Weight</strong> - Choose the font weight that you'd like your large header font to be." );							
						
$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h1_text_decoration",
						"std" => "none",
						"data" => array( 
								"none" => "None",
								"underline" => "Underline"							
							),
						"size" => "small",
						"desc" => "<strong>Decoration</strong> - Choose the text decoration that you'd like your large header font to be." );							
						
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_h1_font_color",
						"std" => "",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );	
						
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_h1_font_family",
						"std" => "Ubuntu",
						"data" => "google",
						"desc" => "" );	
	
$font_settings[] =  array( "type" => "heading",
						"name" => "Medium Header Font (H2)" );

$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_h2_font_size",
						"std" => "19",
						"min" => "15",
						"max" => "25",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );
						
$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h2_font_style",
						"std" => "normal",
						"data" => array( 
								"normal" => "Normal",
								"italic" => "Italic"							
							),
						"size" => "small",
						"desc" => "<strong>Style</strong> - Choose the font style that you'd like your large header font to be." );						

$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h2_font_weight",
						"std" => "normal",
						"data" => array( 
								"normal" => "Normal",
								"bold" => "Bold"							
							),
						"size" => "small",
						"desc" => "<strong>Weight</strong> - Choose the font weight that you'd like your large header font to be." );						
						
$font_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_h2_text_decoration",
						"std" => "none",
						"data" => array( 
								"none" => "None",
								"underline" => "Underline"							
							),
						"size" => "small",
						"desc" => "<strong>Decoration</strong> - Choose the text decoration that you'd like your large header font to be." );							
						
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_h2_font_color",
						"std" => "",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );	
						
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_h2_font_family",
						"std" => "Ubuntu",
						"data" => "google",
						"desc" => "" );	
						
$font_settings[] =  array( "type" => "heading",
						"name" => "Large Content Font" );
						
$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_lcontent_font_size",
						"std" => "16",
						"min" => "12",
						"max" => "20",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );						
						
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_lcontent_font_color",
						"std" => "404040",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );							
	
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_lcontent_font_family",
						"std" => "lucida",
						"data" => "general",
						"desc" => "" );	
						
$font_settings[] =  array( "type" => "heading",
						"name" => "General Content Font" );
						
$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_gcontent_font_size",
						"std" => "12",
						"min" => "10",
						"max" => "15",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );						
						
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_gcontent_font_color",
						"std" => "404040",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );							
	
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_gcontent_font_family",
						"std" => "lucida",
						"data" => "general",
						"desc" => "" );							
						
$font_settings[] =  array( "type" => "heading",
						"name" => "Small Content Font" );
						
$font_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_scontent_font_size",
						"std" => "10",
						"min" => "8",
						"max" => "12",
						"step" => "0.5",
						"desc" => "<strong>Font Size (px)</strong>" );							
						
$font_settings[] =  array( "type" => "colorpicker",
						"name" => "",
						"id" => THEME_SLUG."_scontent_font_color",
						"std" => "404040",
						"desc" => "Choose the font color by including the HEX # ie. 2ba412" );							
	
$font_settings[] =  array( "type" => "font",
						"name" => "",
						"id" => THEME_SLUG."_scontent_font_family",
						"std" => "lucida",
						"data" => "general",
						"desc" => "" );	
						
					
$theme_options[] =  array( "name" => "Font Settings",
					"id" => "font",
					"slug" => "font", 
					"options" => $font_settings
				);	


/******** Blog Settings ********/	

$blog_settings = array();

$blog_settings[] = array( "type" => "html",
						"desc" => "Customize your blog and set the layout and functionalites displayed such as the posted dates, authors, comments and more." );
/*
$blog_settings[] =  array( "type" => "heading",
						"name" => "Blog Title" );
						
$blog_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_blog_title",
						"std" => "Blog",
						"size" => "normal",
						"desc" => "You can set the title of the Blog here." );						
*/
$blog_settings[] =  array( "type" => "heading",
						"name" => "Blog Sidebar Alignment" );

$blog_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_blog_sidebar",
						"std" => "left",
						"data" => array(
							"right" => "Left",
							"left" => "Right",
						),
						"size" => "small",
						"desc" => "The alignment of the Blog Sidebar" );

$blog_settings[] =  array( "type" => "heading",
						"name" => "\"Posted by\" text" );

$blog_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_posted_by",
						"std" => "true",
						"desc" => "The \"Posted by\" text located under each Blog Post Title." );

$blog_settings[] =  array( "type" => "heading",
						"name" => "Post Date" );

$blog_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_post_date",
						"std" => "true",
						"desc" => "The Date located next to each blog post." );	

$blog_settings[] =  array( "type" => "heading",
						"name" => "Wordpress Comments Count" );

$blog_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_comments_count",
						"std" => "true",
						"desc" => "The Comments count located next to each blog post." );	

$blog_settings[] =  array( "type" => "heading",
						"name" => "About the Author" );

$blog_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_about_author",
						"std" => "true",
						"desc" => "Author's Bio (Author bio's can be set in the Wordpress user profile page)." );		

$blog_settings[] =  array( "type" => "heading",
						"name" => "Wordpress Comments" );

$blog_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_wp_comments",
						"std" => "true",
						"desc" => "Enable/Disable Wordpress Comments" );	

			
						
$theme_options[] =  array( "name" => "Blog Settings",
					"id" => "blog",
					"slug" => "blog", 
					"options" => $blog_settings
				);	
					
				
/******** Slider Settings ********/

$slider_settings = array();

$slider_settings[] =  array( "type" => "html",
						"desc" => "You can set the default settings for the sliders. These will be brought in effect on the home page slider and others where not over-ridden." );

$slider_settings[] =  array( "type" => "heading",
						"name" => "Nivo Slider" );
						
$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_nivo_slider_pausetime",
						"std" => "5000",
						"min" => "1000",
						"max" => "20000",
						"step" => "500",
						"desc" => "<strong>Pause Time (ms)</strong>" );		

$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_nivo_slider_animspeed",
						"std" => "500",
						"min" => "100",
						"max" => "2000",
						"step" => "100",
						"desc" => "<strong>Animation Speed (ms)</strong>" );						
			
$slider_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_nivo_slider_pauseonhover",
						"std" => "true",
						"desc" => "<strong>Pause on hover</strong>" );						

$slider_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_nivo_slider_controlnav",
						"std" => "true",
						"desc" => "<strong>Control Navigation</strong>" );							
			
$slider_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_nivo_slider_effect",
						"std" => "random",		
						"data" => array(
							"random" => "random",
							"sliceDown" => "sliceDown",
							"sliceDownLeft" => "sliceDownLeft",
							"sliceUp" => "sliceUp",
							"sliceUpLeft" => "sliceUpLeft",
							"sliceUpDown" => "sliceUpDown",
							"sliceUpDownLeft" => "sliceUpDownLeft",
							"fold" => "fold",
							"fade" => "fade",
							"slideInLeft" => "slideInLeft",
							"slideInRight" => "slideInRight"
						),		
						"size" => "small",
						"desc" => "<strong>Transition Effect</strong> - Select the transition effect." );
						
$slider_settings[] =  array( "type" => "heading",
						"name" => "Anything Slider" );
						
$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_anything_slider_pausetime",
						"std" => "5000",
						"min" => "1000",
						"max" => "20000",
						"step" => "500",
						"desc" => "<strong>Pause Time (ms)</strong>" );		

$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_anything_slider_animspeed",
						"std" => "500",
						"min" => "100",
						"max" => "2000",
						"step" => "100",
						"desc" => "<strong>Animation Speed (ms)</strong>" );				

$slider_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_anything_slider_pauseonhover",
						"std" => "true",
						"desc" => "<strong>Pause on hover</strong>" );	
						
$slider_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_anything_slider_effect",
						"std" => "swing",		
						"data" => array(
							"linear" => "linear",
							"swing" => "swing"
						),		
						"size" => "small",
						"desc" => "<strong>Transition Effect</strong> - Select the transition effect." );

$slider_settings[] =  array( "type" => "heading",
						"name" => "3D Rotator" );
						
$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_piecemaker_slider_pausetime",
						"std" => "5000",
						"min" => "1000",
						"max" => "20000",
						"step" => "500",
						"desc" => "<strong>Pause Time (ms)</strong>" );	

$slider_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_piecemaker_slider_animspeed",
						"std" => "1200",
						"min" => "1000",
						"max" => "5000",
						"step" => "100",
						"desc" => "<strong>Animation Speed (ms)</strong>" );						
						
$slider_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_piecemaker_slider_effect",
						"std" => "easeInOutBack",		
						"data" => array(
							"linear" => "linear",
							"easeInOutSine" => "easeInOutSine",
							"easeInOutQuad" => "easeInOutQuad",
							"easeInOutCubic" => "easeInOutCubic",
							"easeInOutQuart" => "easeInOutQuart",
							"easeInOutQuint" => "easeInOutQuint",
							"easeInOutExpo" => "easeInOutExpo",
							"easeInOutCirc" => "easeInOutCirc",
							"easeInOutElastic" => "easeInOutElastic",
							"easeInOutBack" => "easeInOutBack",
							"easeInOutBounce" => "easeInOutBounce"
						),		
						"size" => "small",
						"desc" => "<strong>Transition Effect</strong> - Select the transition effect." );						

$theme_options[] =  array( "name" => "Slider Settings",
					"id" => "slider",
					"slug" => "slider", 
					"options" => $slider_settings
				);	


				
				

/******** Channelit Settings ********/

$channelit_settings = array();

$channelit_settings[] =  array( "type" => "html",
						"desc" => "The Channelit 1.0 Youtube plugin is a unique plugin that uses the latest Youtube api to bring your entire Youtube channel to your website. Best of all, it uses Youtubes bandwidth and server system to host your 
videos! Use the Channelit 1.0 widget to quickly and easilly place thumbnails of your latest videos through-out the home, content and other pages of your website.<br /><br />Simply indicate the Youtube channel name or playlist ID, start uploading your videos via your Youtube account and sit back as the Channelit 1.0 plugin automatically feeds your videos, their Youtube comments, views, likes and social media buttons to your website!!!." );
						
$channelit_settings[] =  array( "type" => "heading",
						"name" => "Youtube Player" );

$channelit_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_width",
						"std" => "500",
						"min" => "300",
						"max" => "600",
						"step" => "10",
						"desc" => "<strong>Player Width (px)</strong>" );

$channelit_settings[] =  array( "type" => "range",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_height",
						"std" => "320",
						"min" => "200",
						"max" => "400",
						"step" => "10",
						"desc" => "<strong>Player Height (px)</strong>" );
						
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_autoplay",
						"std" => "true",
						"desc" => "<strong>Auto Play</strong> - Click to toggle the current videos autoplay feature on or off" );

$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_tweet",
						"std" => "true",
						"desc" => "<strong>Tweet Button</strong> - Enable/Disable the Tweet Button" );							
				
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_fbcomments",
						"std" => "true",
						"desc" => "<strong>Facebook Comments</strong> - Enable/Disable Facebook Comments" );		

$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_fblike",
						"std" => "true",
						"desc" => "<strong>Facebook Like Button</strong> - Enable/Disable the Facebook Like Button" );							
						
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_views",
						"std" => "true",
						"desc" => "<strong>Display Views</strong> - Click to toggle the # of views on or off" );
						

$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_comments",
						"std" => "true",
						"desc" => "<strong>Display Comments</strong> - Click to toggle the Youtube comments on or off" );

$channelit_settings[] =  array( "type" => "upload",
						"name" => "",
						"id" => THEME_SLUG."_ytplayer_background",
						"std" => get_template_directory_uri()."/images/ytplayer.png",
						"desc" => "Replace the player background image. Default Size: 610px X 435px" );
						
$channelit_settings[] =  array( "type" => "heading",
						"name" => "Thumbnails" );

$channelit_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_ytthumbs_size",
						"std" => "medium",
						"data" => array(
							"small" => "Small",
							"medium" => "Medium",
							"large" => "Large"
						),
						"size" => "small",
						"desc" => "<strong>Thumbnail Width</strong> - Choose the size of the thumbnail image" );
						
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytthumbs_title",
						"std" => "true",
						"desc" => "<strong>Display TItle</strong> - Click to toggle the video title on or off" );

$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytthumbs_author",
						"std" => "true",
						"desc" => "<strong>Display Author</strong> - Click to toggle the video author on or off" );						
						
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytthumbs_views",
						"std" => "true",
						"desc" => "<strong>Display Views</strong> - Click to toggle the # of views on or off" );
						
$channelit_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_ytthumbs_date",
						"std" => "true",
						"desc" => "<strong>Display Date</strong> - Click to toggle the video upload date on or off" );						

						
						
$theme_options[] =  array( "name" => "Channelit Settings",
					"id" => "channelit",
					"slug" => "channelit",
					"options" => $channelit_settings
				);	



/******** Facebook Settings ********/

$facebook_settings = array();

$facebook_settings[] =  array( "type" => "html",
						"desc" => "Add Facebook commenting through-out your blog and other pages, moderate the number of comments that get displayed, type of facebook button and other settings below." );
						
$facebook_settings[] =  array( "type" => "heading",
						"name" => "Facebook Application ID" );

$facebook_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_fb_appid",
						"std" => "",
						"size" => "normal",
						"desc" => "Provide the Facebook App ID if you wish to moderate the comments on the site. You can get more details about Facebook Apps <a href=\"https://www.facebook.com/developers/apps.php\" target=\"_blank\">here</a>" );			

$facebook_settings[] =  array( "type" => "heading",
						"name" => "Facebook Comments" );
						
$facebook_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_fb_comments_count",
						"std" => "20",
						"size" => "small",
						"desc" => "<strong># of Comments</strong> - Provide the number of comments which will be displayed" );								
						
$facebook_settings[] =  array( "type" => "heading",
						"name" => "Facebook Like Button" );

$facebook_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_fb_like_layout",
						"std" => "standard",
						"data" => array(
							"standard" => "Standard",
							"button_count" => "Button Count",
							"box_count" => "Box Count",
						),
						"size" => "small",
						"desc" => "<strong>Layout</strong> - Choose the appropriate layout for the button" );
						
$facebook_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_fb_like_faces",
						"std" => "true",
						"desc" => "<strong>Faces</strong> - Show Profile Pictures below the button. Works only in Standard layout." );
						
						
$facebook_settings[] =  array( "type" => "heading",
						"name" => "Blog Integration" );				
				
$facebook_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_blog_fbcomments",
						"std" => "true",
						"desc" => "<strong>Facebook Comments</strong> - Enable/Disable Facebook Comments in blog posts" );		

$facebook_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_blog_fblike",
						"std" => "true",
						"desc" => "<strong>Like Button</strong> - Enable/Disable the Facebook Like Button in blog posts" );						
						
						
						
$theme_options[] =  array( "name" => "Facebook Settings",
					"id" => "facebook",
					"slug" => "facebook",
					"options" => $facebook_settings				
				);	

			

/******** Tweetit Settings ********/

$twitter_settings = array();

$twitter_settings[] =  array( "type" => "html",
						"desc" => "Add Twitter to your website using the settings below. Choose the style of button to display and cache your tweets to a folder on your server." );
												
$twitter_settings[] =  array( "type" => "heading",
						"name" => "Twitter Username" );

$twitter_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_twitter_username",
						"std" => "",
						"size" => "normal",
						"desc" => "Provide the default Twitter username to use, of which is mentioned in the tweet button." );	

$twitter_settings[] =  array( "type" => "heading",
						"name" => "Tweet Button" );						
						
$twitter_settings[] =  array( "type" => "select",
						"name" => "",
						"id" => THEME_SLUG."_tweetbutton_layout",
						"std" => "none",
						"data" => array(
							"none" => "Standard",
							"vertical" => "Vertical Count",
							"horizontal" => "Horizontal Count",
						),
						"size" => "normal",
						"desc" => "<strong>Layout</strong> - Choose the appropriate layout for the button" );
						
						
$twitter_settings[] =  array( "type" => "heading",
						"name" => "Blog Integration" );

$twitter_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_blog_tweet",
						"std" => "true",
						"desc" => "Enable/Disable the Tweet Button" );	
						
$twitter_settings[] =  array( "type" => "heading",
						"name" => "Cache Settings" );	

$twitter_settings[] =  array( "type" => "toggle",
						"name" => "",
						"id" => THEME_SLUG."_twitter_cache",
						"std" => "true",
						"desc" => "Please ensure to provide write permissions to \'wp-content/uploads\' directory if you want this to work." );
	
$twitter_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_twitter_cache_for",
						"std" => "10",
						"size" => "small",
						"desc" => "<strong>Cache time</strong> - Time to cache the tweets in mins" );	
						
$theme_options[] =  array( "name" => "Twitter Settings",
					"id" => "twitter",
					"slug" => "twitter",
					"options" => $twitter_settings
				);	
		




/******** Contact Information ********/

$contact_settings = array();

$contact_settings[] =  array( "type" => "html",
						"desc" => "You can set the contact information for your business. This information can be displayed on various ares of the website using the Contact-Info widget." );

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_name",
						"std" => "Avigraf Inc.",
						"size" => "normal",
						"desc" => "<strong>Business Name</strong>" );	

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_workphone",
						"std" => "+1 (403) 995-9440",
						"size" => "normal",
						"desc" => "<strong>Work Phone</strong>" );

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_cellphone",
						"std" => "",
						"size" => "normal",
						"desc" => "<strong>Cell Phone</strong>" );	
						
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_tollfree",
						"std" => "+1 888 565-8400",
						"size" => "normal",
						"desc" => "<strong>Toll-Free</strong>" );						
						
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_fax",
						"std" => "+1 (403) 995-9441",
						"size" => "normal",
						"desc" => "<strong>Fax</strong>" );

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_email",
						"std" => "",
						"size" => "normal",
						"desc" => "<strong>Email Address</strong>" );
						
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_street",
						"std" => "Bay #7, #1 Fisher Street",
						"size" => "normal",
						"desc" => "<strong>Street Address</strong>" );		

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_city",
						"std" => "Okotoks",
						"size" => "normal",
						"desc" => "<strong>City</strong>" );						
						
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_state",
						"std" => "Alberta",
						"size" => "normal",
						"desc" => "<strong>State</strong>" );

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_country",
						"std" => "Canada",
						"size" => "normal",
						"desc" => "<strong>Country</strong>" );						
						
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_contact_zip",
						"std" => "T1S 2K5",
						"size" => "normal",
						"desc" => "<strong>Zip</strong>" );								

$contact_settings[] =  array( "type" => "textarea",
						"name" => "",
						"id" => THEME_SLUG."_contact_hours",
						"std" => "Mon-Fri 6am to 9pm",
						"desc" => "<strong>Hours of operation</strong>" );		

		
$contact_settings[] =  array( "type" => "heading",
						"name" => "Geographic Coordinates" );
	
$contact_settings[] =  array( "type" => "html",
						"desc" => "Enter in the geographic coordinates to exactly locate your position on google maps. If you leave the following fields empty, google maps will try to use the street address above to locate." );
	
$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_maps_latitude",
						"std" => "50.98106",
						"size" => "small",
						"desc" => "<strong>Latitude</strong>" );	

$contact_settings[] =  array( "type" => "text",
						"name" => "",
						"id" => THEME_SLUG."_maps_longitude",
						"std" => "-114.07680",
						"size" => "small",
						"desc" => "<strong>Longitude</strong>" );							
						
						
$theme_options[] =  array( "name" => "Contact Info",
					"id" => "contact",
					"slug" => "contact",
					"options" => $contact_settings
				);		
				

				
	

/******** Scripts ********/

	
$script_settings = array();

$script_settings[] =  array( "type" => "html",
						"desc" => "Place custom css into your style sheet and add your Google analytics and javascripts using the fields below." );
							
$script_settings[] =  array( "type" => "heading",
						"name" => "Google Analytics/Custom Javascript" );	
						
$script_settings[] =  array( "type" => "textarea",
						"name" => "",
						"id" => THEME_SLUG."_ganalytics",
						"std" => "",
						"size" => "normal",
						"desc" => "Add your google analytics script or any javascript here. Please make sure everything is enclosed inside &lt;script&gt;&lt;/script&gt; tags." );									
						

$script_settings[] =  array( "type" => "heading",
						"name" => "Custom CSS" );			

$script_settings[] =  array( "type" => "textarea",
						"name" => "",
						"id" => THEME_SLUG."_customcss",
						"std" => "",
						"size" => "normal",
						"desc" => "Add your custom css here" );			
				
$theme_options[] =  array( "name" => "Scripts",
					"id" => "scripts",
					"slug" => "scripts",
					"options" => $script_settings
				);					
	
?>