<?php
/***** Contact Information *****/

class theme_contactinfo_widget extends WP_Widget {

	function theme_contactinfo_widget() {
		$widget_ops = array('classname' => 'theme_contactinfo_widget', 'description' => __('Display Business Contact information.'));
		$this->WP_Widget('theme_contactinfo_widget', __(THEME_NAME.' - Contact Information'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		
		$name = $instance['name'] ? '1' : '0';
		$workphone = $instance['workphone'] ? '1' : '0';
		$cellphone = $instance['cellphone'] ? '1' : '0';
		$tollfree = $instance['tollfree'] ? '1' : '0';
		$fax = $instance['fax'] ? '1' : '0';
		$email= $instance['email'] ? '1' : '0';		
		$address = $instance['address'] ? '1' : '0';
		$hours = $instance['hours'] ? '1' : '0';
		$gmap = $instance['gmap'] ? '1' : '0';
	
		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;

			
		$street_info = trim(get_option(THEME_SLUG."_contact_street"), ", ");
		$city_info = trim(get_option(THEME_SLUG."_contact_city"), ", ");
		$state_info = trim(get_option(THEME_SLUG."_contact_state"), ", ");
		$country_info = trim(get_option(THEME_SLUG."_contact_country"), ", ");
		$zip_info = trim(get_option(THEME_SLUG."_contact_zip"), ", ");		
		
		$address_info = $street_info;
		$address_info .= (($address_info)?', ':'') . $city_info;
		$address_info .= (($address_info)?', ':'') . $state_info;
		$address_info .= (($address_info)?', ':'') . $country_info;
		$address_info .= (($address_info)?', ':'') . $zip_info;
		
		if($gmap && $address_info){
			echo theme_gmap($address_info);
		} ?>
<ul class="contact-info">
<?php if($name && $name_info = get_option(THEME_SLUG."_contact_name")) : echo '<li><h3>'.$name_info.'</h3></li>'; endif; ?>
<?php if($address && $address_info) : echo '<li>'.$address_info.'</li>'; endif; ?>
<?php if($workphone && $wphone_info = get_option(THEME_SLUG."_contact_workphone")) : echo '<li>Phone: '.$wphone_info.'</li>'; endif; ?>
<?php if($cellphone && $cphone_info = get_option(THEME_SLUG."_contact_cellphone")) : echo '<li>Cell Phone: '.$cphone_info.'</li>'; endif; ?>
<?php if($tollfree && $tphone_info = get_option(THEME_SLUG."_contact_tollfree")) : echo '<li>Toll Free: '.$tphone_info.'</li>'; endif; ?>
<?php if($fax && $fphone_info = get_option(THEME_SLUG."_contact_fax")) : echo '<li>Fax: '.$fphone_info.'</li>'; endif; ?>
<?php if($email && $email_info = get_option(THEME_SLUG."_contact_email")) : echo '<li>Email: '.$email_info.'</li>'; endif; ?>
<?php if($hours && $hours_info = get_option(THEME_SLUG."_contact_hours")) : echo '<li class="contact-hours"><h3>Hours of operation</h3><div>'.nl2br($hours_info).'</div></li>'; endif; ?>
</ul>
<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		
		$instance['name'] = $new_instance['name'] ? '1' : '0';
		$instance['workphone'] = $new_instance['workphone'] ? '1' : '0';
		$instance['cellphone'] = $new_instance['cellphone'] ? '1' : '0';
		$instance['tollfree'] = $new_instance['tollfree'] ? '1' : '0';
		$instance['fax'] = $new_instance['fax'] ? '1' : '0';
		$instance['email'] = $new_instance['email'] ? '1' : '0';		
		$instance['address'] = $new_instance['address'] ? '1' : '0';		
		$instance['hours'] = $new_instance['hours'] ? '1' : '0';
		$instance['gmap'] = $new_instance['gmap'] ? '1' : '0';		
		

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);

		$name = $instance['name'] ? '1' : '0';
		$workphone = $instance['workphone'] ? '1' : '0';
		$cellphone = $instance['cellphone'] ? '1' : '0';
		$tollfree = $instance['tollfree'] ? '1' : '0';
		$fax = $instance['fax'] ? '1' : '0';
		$email= $instance['email'] ? '1' : '0';		
		$address = $instance['address'] ? '1' : '0';		
		$hours = $instance['hours'] ? '1' : '0';
		$gmap = $instance['gmap'] ? '1' : '0';
		
?>
		<p style="color:#999;"><em>Enter the email addreses (comma separated) to which the opt-in information should be emailed to.</em></p><br />

		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('name'); ?>" name="<?php echo $this->get_field_name('name'); ?>"<?php checked( $name ); ?> />
		<label for="<?php echo $this->get_field_id('name'); ?>"><?php _e( 'Show Business Name' ); ?></label><br />
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('workphone'); ?>" name="<?php echo $this->get_field_name('workphone'); ?>"<?php checked( $workphone ); ?> />
		<label for="<?php echo $this->get_field_id('workphone'); ?>"><?php _e( 'Show Work Phone' ); ?></label><br />

		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('cellphone'); ?>" name="<?php echo $this->get_field_name('cellphone'); ?>"<?php checked( $cellphone ); ?> />
		<label for="<?php echo $this->get_field_id('cellphone'); ?>"><?php _e( 'Show Cell Phone' ); ?></label><br />		
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('tollfree'); ?>" name="<?php echo $this->get_field_name('tollfree'); ?>"<?php checked( $tollfree ); ?> />
		<label for="<?php echo $this->get_field_id('tollfree'); ?>"><?php _e( 'Show Toll-free' ); ?></label><br />

		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('fax'); ?>" name="<?php echo $this->get_field_name('fax'); ?>"<?php checked( $fax ); ?> />
		<label for="<?php echo $this->get_field_id('fax'); ?>"><?php _e( 'Show Fax' ); ?></label><br />

		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>"<?php checked( $email ); ?> />
		<label for="<?php echo $this->get_field_id('email'); ?>"><?php _e( 'Show Email' ); ?></label><br />
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('address'); ?>" name="<?php echo $this->get_field_name('address'); ?>"<?php checked( $address ); ?> />
		<label for="<?php echo $this->get_field_id('address'); ?>"><?php _e( 'Show Address' ); ?></label><br />
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('hours'); ?>" name="<?php echo $this->get_field_name('hours'); ?>"<?php checked( $hours ); ?> />
		<label for="<?php echo $this->get_field_id('hours'); ?>"><?php _e( 'Show Hours of operation' ); ?></label><br />		

		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('gmap'); ?>" name="<?php echo $this->get_field_name('gmap'); ?>"<?php checked( $gmap ); ?> />
		<label for="<?php echo $this->get_field_id('gmap'); ?>"><?php _e( 'Show Google Map' ); ?></label><br />		

<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_contactinfo_widget");'));


function theme_gmap($address="", $lat="", $long="", $width="", $height=""){

	if(!$lat){
		$lat = get_option(THEME_SLUG."_maps_latitude");
	}
	if(!$long){
		$long = get_option(THEME_SLUG."_maps_longitude");
	}
	
	if(!($lat && $long)){
		if($address){
			$geocode=file_get_contents('http://maps.google.com/maps/api/geocode/json?address='.str_replace(' ', '+', $address).'&sensor=false');
			$output= json_decode($geocode);
			if($output->status == "OK") {
				$lat = $output->results[0]->geometry->location->lat;
				$long = $output->results[0]->geometry->location->lng;	
			}else{
				return;
			}			
		}else{
			return;
		}
	}

	$gmap_id = mt_rand();
	
	echo <<<EOH
<script type="text/javascript">
jQuery(document).ready(function($) {
    var myLatlng = new google.maps.LatLng({$lat},{$long});
    var myOptions = {
      zoom: 10,
      center: myLatlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    }
    var map = new google.maps.Map(document.getElementById("gmap_{$gmap_id}"), myOptions);    
    var marker = new google.maps.Marker({
        position: myLatlng, 
        map: map
    });   
});
</script>
EOH;

	$output = '<div class="gmap-canvas" id="gmap_'.$gmap_id.'" style="'.(($width)?'width:'.$width.';':'').(($height)?'height:'.$height.';':'').'"></div>';
	 
	return $output;
}


function theme_sc_gmaps($atts) {
	extract(shortcode_atts(array(
		'width' => '400px',
		'height' => '400px',
		'lat' => "",		
		'long' => "",	
		'address' => "",	
	), $atts));
		
	return theme_gmap($address, $lat, $long, $width, $height);
}
add_shortcode('gmaps', 'theme_sc_gmaps');

?>