<?php
/***** Facebook *****/

function theme_facebook_comments($width = '640', $posts = ''){
	
	if(!$posts){
		$posts = get_option(THEME_SLUG."_fb_comments_count");
	}	
	
	$width = (int)$width - 20; 
	
	$fbcomments = '<div class="fb-comments">';
	$fbcomments .= '<div id="fb-root" style="background:white;"></div><script type="text/javascript" src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:comments href="'.urlencode(THEME_CURR_PAGE).'" num_posts="'.$posts.'" width="'.$width.'"></fb:comments>';
	$fbcomments .= '</div>';
	return $fbcomments;
	
}

function theme_facebook_like($url=""){

	$app_id = get_option(THEME_SLUG."_fb_appid");
	if($app_id){
		$app_id = "appId=".$app_id."&amp;";
	}	
	$height = "70";
	$width = "300";
	$layout = get_option(THEME_SLUG."_fb_like_layout");	
	$faces = get_option(THEME_SLUG."_fb_like_faces");
	if(!$faces)
		$faces = "false";
	
	$extstyle = "";
		
	if($layout == "standard" && $faces != "true"){
		$height = "40";
	}elseif($layout == "box_count"){
		$height = "65";
		$width = "45";
	}elseif($layout == "button_count"){
		$height = "30";
		$width = "45";
	}
	
	$fblike = '<div class="fb-like fblike-'.$layout.'">';
	
	$fblike .= '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#'.$app_id.'xfbml=1"></script><fb:like href="'.urlencode($url).'" send="false" layout="'.$layout.'" show_faces="'.$faces.'" font=""></fb:like>';

	$fblike .= '</div>';
	return $fblike;
}

function theme_facebook_box($fburl, $width="292", $stream="true", $faces="true"){

	$fbbox = "";
	if($fburl){	
	
		if(!$faces)
			$faces = "false";
			
		if(!$stream)
			$stream = "false";	
			
		$width = preg_replace("/[^0-9]/", "", $width);
		if(!$width)
			$width = "292";

		$fbbox = '<div class="fb-box" style="width:'.$width.'px;">';
		$fbbox .= '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like-box href="'.$fburl.'" width="'.$width.'" show_faces="'.$faces.'" border_color="#ffffff" stream="'.$stream.'" header="false"></fb:like-box>';
		$fbbox .= '</div>';	
	}
	return $fbbox;
}


function theme_sc_fblike($atts) {
	extract(shortcode_atts(array(), $atts));
	
	return theme_facebook_like();
}
add_shortcode('fblike', 'theme_sc_fblike');

function theme_sc_fbcomments($atts) {
	extract(shortcode_atts(array(
		'width' => '400px',
		'count' => 10,		
	), $atts));
	
	$width = preg_replace("/[^0-9]/", "", $width);
	
	return theme_facebook_comments($width, $count);
}
add_shortcode('fbcomments', 'theme_sc_fbcomments');

function theme_sc_fbbox($atts) {
	extract(shortcode_atts(array(
		'url' => '',
		'width' => '292px',
		'faces' => 'true',
		'stream' => 'true',
	), $atts));
	
	$width = preg_replace("/[^0-9]/", "", $width);
	
	return theme_facebook_box($url, $width, $stream, $faces);
}
add_shortcode('fbbox', 'theme_sc_fbbox');


class theme_fb_box extends WP_Widget {

	function theme_fb_box() {
		$widget_ops = array( 'classname' => 'theme_fb_box', 'description' => __( "Facebook Like Box" ) );
		$this->WP_Widget('theme_fb_box', __(THEME_NAME.' - Facebook Like Box'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = $instance['title'];
		$count = $instance['count'];
		$url = $instance['url'];
		$faces = $instance['faces'] ? 'true' : 'false';
		$stream = $instance['stream'] ? 'true' : 'false';

		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
		
		echo theme_facebook_box($url, "238", $stream, $faces);
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['url'] = trim($new_instance['url']);
		$instance['faces'] = !empty($new_instance['faces']) ? 1 : 0;
		$instance['stream'] = !empty($new_instance['stream']) ? 1 : 0;
		return $instance;
	}

	function form( $instance ) {
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );
		$title = esc_attr( $instance['title'] );
		$url = $instance['url'];
		$faces = isset($instance['faces']) ? (bool) $instance['faces'] :false;
		$stream = isset($instance['stream']) ? (bool) $instance['stream'] :false;
?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('url'); ?>"><?php _e( 'Facebook Page URL:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo $url; ?>" /></p>

		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('faces'); ?>" name="<?php echo $this->get_field_name('faces'); ?>"<?php checked( $faces ); ?> />
		<label for="<?php echo $this->get_field_id('faces'); ?>"><?php _e( 'Show faces' ); ?></label><br />
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('stream'); ?>" name="<?php echo $this->get_field_name('stream'); ?>"<?php checked( $stream ); ?> />
		<label for="<?php echo $this->get_field_id('stream'); ?>"><?php _e( 'Show stream' ); ?></label><br />

<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_fb_box");'));

?>