<?php
/***** Flickr *****/

class theme_flickr extends WP_Widget {

	function theme_flickr() {
		$widget_ops = array( 'classname' => 'theme_flickr', 'description' => __( "Flickr" ) );
		$this->WP_Widget('theme_flickr', __(THEME_NAME.' - Flickr'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = $instance['title'];
		$count = $instance['count'];
		$username = $instance['username'];		
		$size = $instance['size'];
		$display = $instance['display'];
			

		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
		
		echo get_flickr_feed($username, $count, $size, $display);
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['username'] = trim($new_instance['username']);
		$instance['count'] = (int)trim($new_instance['count']);
		$instance['size'] = trim($new_instance['size']);
		$instance['display'] = trim($new_instance['display']);

		return $instance;
	}

	function form( $instance ) {
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );
		$title = esc_attr( $instance['title'] );
		$username = $instance['username'];
		$count = $instance['count'];
		$size = $instance['size'];
		$display = $instance['display'];
?>
		<p>Use this service to get the flickr ID <a href='http://idgettr.com/' target='_blank'>idGettr</a></p>
		
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('username'); ?>"><?php _e( 'Flickr ID:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('username'); ?>" name="<?php echo $this->get_field_name('username'); ?>" type="text" value="<?php echo $username; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e( '# of photos:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e( 'Size:' ); ?></label>
		<select class="widefat" id="<?php echo $this->get_field_id('size'); ?>" name="<?php echo $this->get_field_name('size'); ?>"><option value="s" <?php echo ($size=='s')?'selected':''; ?>>Small</option><option value="t" <?php echo ($size=='t')?'selected':''; ?>>Medium</option><option value="m" <?php echo ($size=='m')?'selected':''; ?>>Large</option></select></p>
		
		<p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e( 'Display:' ); ?></label>
		<select class="widefat" id="<?php echo $this->get_field_id('display'); ?>" name="<?php echo $this->get_field_name('display'); ?>"><option value="latest" <?php echo ($display=='latest')?'selected':''; ?>>Latest</option><option value="random" <?php echo ($display=='random')?'selected':''; ?>>Random</option></select></p>

<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_flickr");'));

function theme_sc_flickr($atts) {
	extract(shortcode_atts(array(
		'id' => '',
		'count' => 4,
		'size' => 't',
		'display' => 'latest',
	), $atts));
		
	return get_flickr_feed($id, $count, $size, $display);		
}
add_shortcode('flickr', 'theme_sc_flickr');


function get_flickr_feed($id, $count = 4, $size = 't', $display = 'latest') {
	
	$output = '';
	if($count == '')
		$count = 4;
		
	if($size == '')
		$size = 't';

	if($display == '')
		$display = 'latest';
		
	if($id){		
		$output .= '<div class="flickr"><script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count='.$count.'&amp;display='.$display.'&amp;size='.$size.'&amp;layout=v&amp;source=user&amp;user='.$id.'"></script><div class="clear"></div></div>';	
	}	
		
	return $output;
}

?>