<?php
require_once(THEME_CONTENT."/portfolio/metabox.php");

function theme_porfolio_list($column, $category, $max, $title, $desc, $paging, $filter, $group) {

	switch($column){
		case 'scroller':
			$size = array(100, 75, 'portfolio_thumb', '');
			break;
		case 1:
			$size = array(600, 260, 'portfolio_full', 'full');
			break;
		case 2:
			$size = array(458, 200, 'portfolio_one_half', 'one-half');
			break;
		case 3:
			$size = array(292, 160, 'portfolio_one_third', 'one-third');
			break;
		case 4:
		default:
			$size = array(209, 120, 'portfolio_one_fourth', 'one-fourth');
			
	}
	if($height){
		$size[1] = $height;
	}

	$rel_group = 'portfolio_'.rand(1,1000);	
	$get_cat = $_GET['filter'];	
	$output = "";
	$home_url = home_url();
	
	if ($filter == "true" && $category == "all") {

		parse_str($_SERVER['QUERY_STRING'], $query);
		if (array_key_exists('filter', $query)) {
			$key = array_search('filter', array_keys($query));
			array_splice($query, $key, 1);
		}
		$str = http_build_query($query);
		
		$amp = "?";
		if($str != ""){
			$amp = "&";
		}
	
		$output .= '<div class="portfolio-filter">';
		$output .= '<span>Show: </span>';
		$output .= '<a'.(($get_cat) ? '' : ' class="current"').' href="'.get_permalink().'">All</a>';
		$terms = array();
		$terms = get_terms('portfolio_category', 'hide_empty=1');		
		foreach($terms as $term) {
			$output .= '<a'.(($get_cat == $term->slug) ? ' class="current"' : '').' href="'.get_permalink().$amp.'filter='.$term->slug.'">' . $term->name . '</a>';
		}		
		$output .= '</div><div class="horizontal-separator"></div>';
	}

	$query = array(
		'post_type' => 'portfolio', 
		'posts_per_page' => $max, 
		'taxonomy' => 'portfolio_category', 
		'orderby'=>'menu_order', 
		'order'=>'ASC'
	);
	
	if($category != "all"){
		$query['term'] = $category;
	}elseif($get_cat != ""){
		$query['term'] = $get_cat;
	}
	
	if ($paging == 'true') {
		global $wp_version;
		if(is_front_page() && version_compare($wp_version, "3.1", '>=')){
			$paged = (get_query_var('paged')) ?get_query_var('paged') : ((get_query_var('page')) ? get_query_var('page') : 1);
		}else{
			$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		}
		
		$query['paged'] = $paged;
		
	} else {
		$query['nopaging'] = true;
	}

	query_posts($query);
	$i = 1;
			
	if($column != 'scroller'){
		$output .= '<div class="portfolio">';
	}else{
		$output .= '<div class="carousel" id="'.$rel_group.'"><a class="buttons prev" href="#">left</a><div class="viewport">';
	}	
	$output .= '<ul'.(($column == 'scroller') ? ' class="overview"' : '').'>';	
		
	while(have_posts()) {
		the_post();
		global $post;	


		$output .= '<li class="'.$size[3].(($column != 1 && ($i % $column == 0)) ? ' last' : '').'">';		
		$i++;
		
		if (has_post_thumbnail()) {
			
			$post_id = get_the_id();
		
			$image_id = get_post_thumbnail_id($post_id);
			$image = wp_get_attachment_image_src($image_id, 'full', true);
			
			$type =  get_post_meta($post_id, THEME_SLUG."_portfolio_type", true);
			$linkurl =  get_post_meta($post_id, THEME_SLUG."_portfolio_url", true);
			$lightbox = get_post_meta($post_id, THEME_SLUG."_portfolio_lightbox", true);
			$gallery = get_post_meta($post_id, THEME_SLUG."_gallery", true);
			
			if(empty($linkurl)){
				$linkurl = $image[0];
			}
			
			$rel = "";
			$onclick = "";
			if($lightbox == "true"){
				if($group == 'true'){
					$rel = ' rel="prettyPhoto['.$rel_group.']"';
				}else{
					$rel = ' rel="prettyPhoto"';
				}
			}
			
			if($type == "gallery"){
			
				$rel = "";
				$linkurl = "#";
				$gallery_files = array();
				$gallery_titles = array();
				$gallery_desc = array();
			
				$gquery = array(
					'post_type' => 'gallery',
					'taxonomy' => 'gallery_category', 
					'orderby'=>'menu_order', 
					'order'=>'ASC',
					'numberposts'=>-1,
				);
				if($gallery != 'all'){		
					$gquery['term'] = $gallery;
				}
						
				$gallery_query = new WP_Query($gquery);		

				$output .= '<script type="text/javascript">'."\n";				

				if($gallery_query->have_posts()) {	
					while ($gallery_query->have_posts()) {
						$gallery_query->the_post();								
						if ( has_post_thumbnail() ) {
							$image_id = get_post_thumbnail_id();
							$image_url = wp_get_attachment_image_src($image_id, 'full', true);
							$gallery_files[] = "'".$image_url[0]."'";
							$gallery_desc[] = "'".get_the_title()."'";
							$gallery_titles[] = "''";
						}									
					}	
				}				
				wp_reset_postdata();
				$output .= '	api_gallery_'.$post_id.'=['.implode(',', $gallery_files).'];'."\n";
				$output .= '	api_titles_'.$post_id.'=['.implode(',', $gallery_titles).'];'."\n";
				$output .= '	api_desc_'.$post_id.'=['.implode(',', $gallery_desc).'];'."\n";
				$output .= '  </script>';
				$onclick = ' onclick="$.prettyPhoto.open(api_gallery_'.$post_id.', api_titles_'.$post_id.', api_desc_'.$post_id.'); return false"';
			}
			
			if($type == "link"){
				$rel = "";
			}
			
			if($type == "iframe"){
				$str = parse_url($linkurl, PHP_URL_QUERY);				
				$amp = "?";
				if($str != ""){
					$amp = "&";
				}
				
				$linkurl = $linkurl.$amp."iframe=true&width=90%&height=90%";
			}
			
			if($type == "audio"){
				$linkurl = THEME_HOME.'/swf/audio.swf?width=292&amp;height=30&amp;flashvars=snd_name='.urlencode($linkurl).'&amp;controls_color=0x888888&amp;controls_color_over=0xffffff&amp;player_color=0x0000000&amp;auto_play_on_start=On';
			}
			
			$output .= '<div class="portfolio-image'.(($column == 1) ? '-full' : '').(($column == 'scroller') ? '-scroller' : '').' ">';
			$output .= '<a class="preload" href="'.$linkurl.'"'.$rel.$onclick.' title="'.get_the_title().'"><span class="imghover">';			
			$output .=  get_the_image( array('size' => $size[2],'echo'=>false,'link_to_post'=>false,'width'=>$size[0],'height'=>$size[1],) );
			$output .= '</span></a><div class="'.str_replace("_", "-", $size[2]).'-shadow"></div>';
			$output .= '</div>';
		}
		
		$output .= '<div class="portfolio-details">';
		
		if($title == 'true'){
			$output .= '<h2>'.get_the_title().'</h2>';
		}
		
		if($desc == 'true'){
			$excerpt = $post->post_excerpt;
			if($excerpt==''){
				$excerpt = get_the_content('');
			}
			if($column == 4){
				$output .= '<p class="portfolio-excerpt-'.$size[3].'">'.wp_html_excerpt($excerpt,100).'...</p>';	
			}else{
				$output .= '<p class="portfolio-excerpt-'.$size[3].'">'.wp_html_excerpt($excerpt,125).'...</p>';			
			}
			$output .= '<a href="'.get_permalink().'">Read More &rarr;</a>';
			
		}	
		 
		$output .= '<div class="clear"></div></div>';
		$output .= '</li>';
	}
	$output .= '</ul>';
	
	if ($paging == 'true') {
		ob_start();
		if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
		$output .= ob_get_clean();
	}
	
	if($group == 'true'){
		$output .= '[raw]<script type="text/javascript">'."\n";
		$output .= '	$(document).ready(function(){	'."\n";
		$output .= '		$("a[rel^=\'prettyPhoto['.$rel_group.']\']").prettyPhoto({theme:\'light_square\',social_tools:\'\'});'."\n";
		$output .= '	});'."\n";
		$output .= '</script>[/raw]'."\n";	
	}
	
	if($column != 'scroller'){
		$output .= '</div><div class="clear"></div>';
	}else{
		$output .= '</div><a class="buttons next" href="#">right</a></div>';
	}
	
	if($column == 'scroller'){
		$output .= '<script type="text/javascript">'."\n";
		$output .= '	$(document).ready(function(){	'."\n";
		$output .= '		$("#'.$rel_group.'").tinycarousel({ display: 2 });'."\n";
		$output .= '	});'."\n";
		$output .= '</script>'."\n";	
	}	
	
	return $output;
}

function theme_sc_portfolio($atts, $content = null, $code) {

	extract(shortcode_atts(array(
		'column' => 4,
		'category' => 'all',
		'max' => -1,
		'title' => '',
		'desc' => '',
		'height' => '',
		'paging' => '',
		'filter' => '',
		'group' => '',
	), $atts));
	
	
	$output = theme_porfolio_list($column, $category, $max, $title, $desc, $paging, $filter, $group);
	
	wp_reset_query();
	return $output;
}
add_shortcode('portfolio', 'theme_sc_portfolio');

function theme_sc_gallery($atts, $content = null, $code) {

	extract(shortcode_atts(array(
    	'category' => 'all',
		'slider' => 'piecemaker',
		'height' => '400px',
		'delay' => '5000',
	), $atts));	
	
	$delay = (int)str_replace("s", "", $delay);
	if($category) {
		if($slider == "piecemaker" && function_exists('slideshow_piecemaker')){
			$output = slideshow_piecemaker($category, '960px', $height, $delay, "gallery");
		}elseif($slider == 'nivo' && function_exists('slideshow_nivo')){
			$output = slideshow_nivo($category, "random", 0, $delay, "false", "true", "960px", $height, "gallery");
		}
	}
	
	return $output;
}
add_shortcode('portfolio_gallery', 'theme_sc_gallery');
?>