<?php
/***** Recent Posts *****/

class show_recent extends WP_Widget {
	function show_recent() {
		$widget_ops = array('classname' => 'show_recent', 'description' => __('Show your recent posts.'));
		$this->WP_Widget('show_recent', __(THEME_NAME.' - Recent Posts'), $widget_ops);
	}

	function widget($args, $instance){
		extract($args);

		$title = $instance['title'];
		$posts = $instance['posts'];
		$category = $instance['category'] ? '1' : '0';
		$author = $instance['author'] ? '1' : '0';


		global $post;
		$myposts = get_posts('numberposts='.$posts.'&offset=0');
		
		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;


		foreach($myposts as $post){
			setup_postdata($post);
?>
				<div class="post-widget">
				<h5><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h5>
				<?php if($category == '1') : ?><span class="post-category">Posted in <?php the_category(', '); ?></span><?php endif; ?>
				<?php if($author == '1') : ?><span class="post-author"><?php if($category == '1') : ?>|&nbsp;&nbsp;<?php endif; ?>by <?php the_author_posts_link(); ?></span><?php endif; ?>				
				<p><?php echo substr(strip_tags($post->post_content), 0, 125); ?>...</p>
                </div>
			<?php
		}
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['posts'] = $new_instance['posts'];
		$instance['category'] = !empty($new_instance['category']) ? 1 : 0;
		$instance['author'] = !empty($new_instance['author']) ? 1 : 0;

		return $instance;
	}

	function form($instance){
		
		$category = isset($instance['category']) ? (bool) $instance['category'] :false;
		$author = isset($instance['author']) ? (bool) $instance['author'] :false;
?>	
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e('Number of Posts:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" type="text" value="<?php echo $instance['posts']; ?>" /></p>
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>"<?php checked( $category ); ?> />
		<label for="<?php echo $this->get_field_id('category'); ?>"><?php _e( 'Show post category' ); ?></label><br />
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('author'); ?>" name="<?php echo $this->get_field_name('author'); ?>"<?php checked( $author ); ?> />
		<label for="<?php echo $this->get_field_id('author'); ?>"><?php _e( 'Show author' ); ?></label><br />
		
<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("show_recent");'));

function theme_sc_recent_posts($atts) {
	extract(shortcode_atts(array(
		'count' => '4',
		'cat' => '',
	), $atts));
	
	$query = array('showposts' => $count, 'nopaging' => 0, 'post_status' => 'publish', 'caller_get_posts' => 1);
	if($cat){
		$query['cat'] = $cat;
	}
	$r = new WP_Query($query);
	
	if ($r->have_posts()){
		$output = '<div class="recent-posts">';
		$output .= '<ul class="posts-list">';
		while ($r->have_posts()){
			$r->the_post();
			$output .= '<li>';			
			$output .= '<div class="post-info">';
			$output .= '<a class="post-title" href="'.get_permalink().'" title="'.get_the_title().'" rel="bookmark">'.get_the_title().'</a>';
			$output .= '<div class="post-time">'.get_the_date().'</div>';			
			global $post;
			$excerpt = $post->post_excerpt;
			if($excerpt==''){
				$excerpt = get_the_content('');
			}
			$output .= '<p>'.wp_html_excerpt($excerpt,100).'...</p>';			
			$output .= '</div>';
			$output .= '<div class="clear"></div>';
			$output .= '</li>';
		}
		$output .= '</ul>';
		$output .= '</div>';
	} 
	wp_reset_query();
	return '[raw]'.$output.'[/raw]';
}
add_shortcode('recent_posts', 'theme_sc_recent_posts');
?>