<?php
require_once(dirname(__FILE__)."/metabox.php");

function slideshow_anything($category, $effect, $animSpeed, $pauseTime, $pauseOnHover, $width, $height){
	
	global $is_mobile;
	$output = "";
	
	if(!$is_mobile):

	if(!$pauseTime){
		$pauseTime = (int)get_option(THEME_SLUG."_anything_slider_pausetime");
	}
	
	if(!$animSpeed){
		$animSpeed = (int)get_option(THEME_SLUG."_anything_slider_animspeed");
	}
	
	if(!$effect){
		$effect = get_option(THEME_SLUG."_anything_slider_effect");
	}
	
	if(empty($pauseOnHover)){
		$pauseOnHover = (get_option(THEME_SLUG."_anything_slider_pauseonhover")) ? "true" : "false";
	}		
	
	$query = array(
		'post_type' => 'slideshow',
		'taxonomy' => 'slideshow_category', 
		'orderby'=>'menu_order', 
		'order'=>'ASC',
		'numberposts'=>-1,
	);
	if($category != 'all'){		
		$query['term'] = $category;
	}
			
	$slideshow_query = new WP_Query($query);	
		
	$id = "slideshow_".mt_rand();	

	if(!$width && !$height){
		$dimensions = "";	
	} else {		
		$dimensions = ' style="';		
		if($width){			
			$dimensions .= 'width:'.$width.';';		
			$width = preg_replace("/[^0-9]/", "", $width);
		}		
		if($height){		
			$dimensions .= 'height:'.$height.';';
			$height = preg_replace("/[^0-9]/", "", $height);		
		}		
		$dimensions .= '"';		
	}
		
	$output .= '<div class="slideshow"'.$dimensions.'>';		
	$output .= '<ul class="anything-slider" id="'.$id.'">';
		
	if($slideshow_query->have_posts()) {	
		while ($slideshow_query->have_posts()) {
			$slideshow_query->the_post();			
			global $post;							
			$content = $post->post_content;	
			$content = do_shortcode(trim($content));
			$output .= '<li>';
			$img_dim = '';	
			if($content){
				$img_dim = 'full';
				$output .= '[raw]<div class="slide-content'.((!has_post_thumbnail())?'-full':'').'"><h2>'.get_the_title().'</h2><div>[/raw]'.$content.'[raw]</div></div>[/raw]';
			}else{
				$img_dim = 'full';
			}
			
			
			if ( has_post_thumbnail() ) {
				if($content){
					$output .= '<div class="slide-img">';
				}
				if( get_post_meta($post->ID, THEME_SLUG."_slide_url", true) ){
					$output .= '<a href="'.get_post_meta($post->ID, THEME_SLUG."_slide_url", true).'" title="'.get_the_title().'">';
				}
				$output .= get_the_post_thumbnail($post->ID, $img_dim, array('title' => get_the_title()) );		
				if(get_post_meta($post->ID, THEME_SLUG."_slide_url", true)){
					$output .= '</a>';
				}	
				if($content){
					$output .= '</div>';
				}
			}
			
			
			$output .= '</li>';
		}	
	} else {		
		$output .= '<p class="warning">No Slides to display</p>';			
	}	
	
	$output .= '</ul>';		

	
	$output .= '<script type="text/javascript">'."\n";
	$output .= '	$(document).ready(function(){	'."\n";
	$output .= '		$("#'.$id.'").anythingSlider({'."\n";
	$output .= '			width: "'.$width.'",'."\n";
	$output .= '			height: "'.$height.'",'."\n";
	$output .= '			easing: "'.$effect.'",'."\n";
	$output .= '			animationTime: '.$animSpeed.','."\n";
	$output .= '			delay: '.$pauseTime.','."\n";
	$output .= '			pauseOnHover:'.$pauseOnHover.','."\n";
	$output .= '			navigationFormatter:function(index, panel){return " ";}'."\n";	
	$output .= '		});'."\n";
	$output .= '	});'."\n";
	$output .= '  </script>'."\n";
	
	$output .= '</div>';	
	//Reset post data
	wp_reset_postdata();	
	
	endif;
	return $output;
	
	
} 
?>