<?php

function register_slideshow_post_type(){

	register_post_type('slideshow', array(
		'labels' => array(
			'name' => 'Slides',
			'singular_name' => 'Slide',
			'add_new' => 'Add New',
			'add_new_item' => 'Add New Slide',
			'edit_item' => 'Edit Slide',
			'new_item' => 'New Slide',
			'view_item' => 'View Slide',
			'search_items' => 'Search Slide',
			'not_found' =>  'No slide found',
			'not_found_in_trash' => 'No slides found in Trash', 
			'parent_item_colon' => '',
			'menu_name' => 'Slides',
		),
		'singular_label' => 'slideshow',
		'public' => true,
		'publicly_queryable' => false,
		'exclude_from_search' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'capability_type' => 'page',
		'hierarchical' => false,
		'supports' => array('title','editor', 'thumbnail' , 'page-attributes'),
		'has_archive' => false,
		'rewrite' => false,
		'query_var' => false,
		'can_export' => true,
		'show_in_nav_menus' => false,
	));
	
	//register taxonomy for portfolio
	register_taxonomy('slideshow_category','slideshow',array(
		'hierarchical' => true,
		'labels' => array(
			'name' =>  'Slideshows',
			'singular_name' =>  'Slideshow',
			'search_items' =>   'Search Slideshows',
			'popular_items' =>  'Popular Slideshows',
			'all_items' =>  'All Slideshows',
			'parent_item' => null,
			'parent_item_colon' => null,
			'edit_item' =>  'Edit Slideshow', 
			'update_item' =>  'Update Slideshow',
			'add_new_item' =>  'Add New Slideshow',
			'new_item_name' =>  'New Slideshow Name',
			'separate_items_with_commas' =>  'Separate Slideshow with commas',
			'add_or_remove_items' =>  'Add or remove slideshow ',
			'choose_from_most_used' =>  'Choose from the most used slideshow',
			'menu_name' =>  'Slideshows',
		),
		'public' => true,
		'show_in_nav_menus' => false,
		'show_ui' => true,
		'show_tagcloud' => false,
		'query_var' => false,
		'rewrite' => false,
	));
}
add_action('init','register_slideshow_post_type',0);

function slideshow_context_fixer() { 
	if ( get_query_var( 'post_type' ) == 'slideshow' ) {
		global $wp_query;
		$wp_query->is_home = false;
		$wp_query->is_404 = true;
		$wp_query->is_single = false;
		$wp_query->is_singular = false;
	}
}
add_action( 'template_redirect', 'slideshow_context_fixer' );

function edit_slideshow_columns($gallery_columns) {
	$columns = array(
		"cb" => "<input type=\"checkbox\" />",
		"title" => 'Name',
		"slideshow_categories" => 'Categories',
		"date" => 'Date',
		"thumbnail" => 'Thumbnail'
	);

	return $columns;
}
add_filter('manage_edit-slideshow_columns', 'edit_slideshow_columns');

function manage_slideshow_columns($column) {
	global $post;
	
	if ($post->post_type == "slideshow") {
		switch($column){
			case "slideshow_categories":
				$terms = get_the_terms($post->ID, 'slideshow_category');
				
				if (! empty($terms)) {
					foreach($terms as $t)
						$output[] = "<a href='edit.php?post_type=slideshow&slideshow_category=$t->slug'> " . esc_html(sanitize_term_field('name', $t->name, $t->term_id, 'slideshow_category', 'display')) . "</a>";
					$output = implode(', ', $output);
				} else {
					$t = get_taxonomy('slideshow_category');
					$output = "No $t->label";
				}
				
				echo $output;
				break;
			
			case 'thumbnail':
				the_post_thumbnail('portfolio_one_fourth');
				break;
		}
	}
}
add_action('manage_posts_custom_column', 'manage_slideshow_columns', 10, 2);

$slide_options = array(
	array(
		"name" => "Text",
		"desc" => "You have the option to choose AnythingSlider or Nivo Slider while setting up the slider.  Make sure to always select a featured image (on the right) for the slide.<br />Use the text editor above to put HTML content in the slide. If the text editor is empty, the system will only use the featured image as the slide.<br />",
		"id" => THEME_SLUG."_slide_instrcutions",
		"std" => "",
		"type" => "html"
	),
	array(
		"name" => "URL (optional)",
		"desc" => "The url that the slider item can be linked to. Please provide full URL(including http://)",
		"id" => THEME_SLUG."_slide_url",
		"std" => "",
		"type" => "text",
		"size" => "large"
	)
);

$info = array(
    "id" => "slide",
    "title" => "Slide Options",
    "post_type" => "slideshow",
	"context" => "normal",
	"priority" => "high"	
);

$slide_option_settings = new MetaboxGenerator($info, $slide_options);

?>