<?php
require_once(dirname(__FILE__)."/metabox.php");

function slideshow_nivo($category, $effect, $animSpeed, $pauseTime, $controlNav, $pauseOnHover, $width, $height, $type="slider"){
	
	global $is_mobile;
	$output = "";
	
	if(!$is_mobile):

	if(!$pauseTime){
		$pauseTime = (int)get_option(THEME_SLUG."_nivo_slider_pausetime");
	}
	
	if(!$animSpeed){
		$animSpeed = (int)get_option(THEME_SLUG."_nivo_slider_animspeed");
	}
	
	if(!$effect){
		$effect = get_option(THEME_SLUG."_nivo_slider_effect");
	}
	
	if(empty($controlNav)){
		$controlNav = (get_option(THEME_SLUG."_nivo_slider_controlnav")) ? "true" : "false";
	}

	if(empty($pauseOnHover)){
		$pauseOnHover = (get_option(THEME_SLUG."_nivo_slider_pauseonhover")) ? "true" : "false";
	}	
		
	$id = "slideshow_".mt_rand();	
	$home_url = home_url();
	
	if(!$width && !$height){
		$dimensions = "";	
	} else {		
		$dimensions = ' style="';		
		if($width){			
			$dimensions .= 'width:'.$width.';';		
			$width = preg_replace("/[^0-9]/", "", $width);
		}		
		if($height){		
			$dimensions .= 'height:'.$height.';';
			$height = preg_replace("/[^0-9]/", "", $height);		
		}		
		$dimensions .= '"';		
	}
	
	$output .= '<div class="slideshow"'.$dimensions.'>';
	$output .= '<div id="'.$id.'" class="nivoSlider"'.$dimensions.'>'; 
	
	
	if($type == "gallery"){
		
		$query = array(
			'post_type' => 'gallery',
			'taxonomy' => 'gallery_category', 
			'orderby'=>'menu_order', 
			'order'=>'ASC',
			'numberposts'=>-1,
		);
		if($category != 'all'){		
			$query['term'] = $category;
		}
				
		$gallery_query = new WP_Query($query);		
		if($gallery_query->have_posts()) {	
			while ($gallery_query->have_posts()) {
				$gallery_query->the_post();								
				if ( has_post_thumbnail() ) {				
					$output .=  get_the_image( array('size' => 'full','echo'=>false,'link_to_post'=>false,'width'=>$width,'height'=>$height) );					
				}									
			}	
		}				
		wp_reset_postdata();		
				
	}else{
	
		$query = array(
			'post_type' => 'slideshow',
			'taxonomy' => 'slideshow_category', 
			'orderby'=>'menu_order', 
			'order'=>'ASC',
			'numberposts'=>-1,
		);
		if($category != 'all'){		
			$query['term'] = $category;
		}
				
		$slideshow_query = new WP_Query($query);		

		
		if($slideshow_query->have_posts()) {	
			while ($slideshow_query->have_posts()) {
				$slideshow_query->the_post();			
				global $post;							
				$content = trim(strip_tags(preg_replace( "'\s+'", " ", $post->post_content)));						
				if( get_post_meta($post->ID, THEME_SLUG."_slide_url", true) ){
					$output .= '<a href="'.get_post_meta($post->ID, THEME_SLUG."_slide_url", true).'" title="'.get_the_title().'">';
				}
				if ( has_post_thumbnail() ) {
					$output .= get_the_post_thumbnail($post->ID, 'full', array('title' => $content) );					
				}
				if(get_post_meta($post->ID, THEME_SLUG."_slide_url", true)){
					$output .= '</a>';
				}			
			}	
		} else {		
			$output .= '<p class="warning">No Slides to display</p>';			
		}	
				
		wp_reset_postdata();
	}	
		
	$output .= '</div></div>';		
	
	$output .= '<script type="text/javascript">'."\n";
	$output .= '	jQuery(document).ready(function(){	'."\n";
	$output .= '		$("#'.$id.'").nivoSlider({'."\n";
	$output .= '			effect: "'.$effect.'",'."\n";
	$output .= '			pauseTime: '.$pauseTime.','."\n";
	$output .= '			animSpeed: '.$animSpeed.','."\n";	
	$output .= '			pauseOnHover:'.$pauseOnHover.','."\n"; 
	$output .= '			controlNav:'.$controlNav."\n"; 
	$output .= '		});'."\n";
	$output .= '	});'."\n";
	$output .= '</script>'."\n";
	
	endif;
	return $output;
} 
?>