<?php
/*
Plugin Name: Channelit
Plugin URI: 
Description: Display video feeds from your youtube channel/playlist.
Version: 1.0
Author: Ankit Ruia
Author URI: http://ankitruia.name
*/

/*  Copyright 2011 Ankit Ruia (email:ankit@ruia.me)
*/

require(dirname(__FILE__)."/simplepie.inc");

function channelit_fetch_feed($yt_id = '', $yt_type = 'channel', $count = '5'){
	$feed = new SimplePie();
	$feed->enable_cache(false);

	if($yt_id) {	
		
		if($yt_type == "playlist"){
			$feed->set_feed_url("https://gdata.youtube.com/feeds/api/playlists/".$yt_id."?max-results=".$count);
		}elseif($yt_type == "channel"){
			$feed->set_feed_url("http://gdata.youtube.com/feeds/api/users/".$yt_id."/uploads?max-results=".$count);
		}

		$success = $feed->init();
		$feed->handle_content_type();

		if ($feed->error()){
			return false;
		}
		
		$video_arr = array();
		
		if ($success){ 	
			foreach($feed->get_items() as $item){
				
				$author = $item->get_item_tags(SIMPLEPIE_NAMESPACE_ATOM_10, 'author');
				$yt_stats = $item->get_item_tags('http://gdata.youtube.com/schemas/2007', 'statistics');
				$link = urldecode($item->get_link());
				parse_str(parse_url($link, PHP_URL_QUERY)); 		
				$video_arr[$v] = array(
									'id' => $v,
									'name' => $item->get_title(),
									'description' => $item->get_description(),
									'views' => number_format($yt_stats[0]['attribs']['']['viewCount']),
									'author' => $author[0]['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['name'][0]['data'],
									'uploaded' => $item->get_date("M n, Y"),
								);	
			}
		}
		
		return $video_arr;
	}
}

function channelit_player($yt, $yt_width='500', $yt_height='320', $playlist = 'right'){
	global $is_mobile;
	
	$iwidth = preg_replace("/[^0-9]/", "", $yt_width);
	$iheight = preg_replace("/[^0-9]/", "", $yt_height);		
	$output = "";
	$ext_url = "";
	if(get_option(THEME_SLUG."_ytplayer_autoplay") == 'true'){
		$ext_url = "&autoplay=1";
	}
	
	$output .= '<div class="yt-video yt-video-'.$playlist.'">';	
	$output .= '<div class="yt-player"><iframe style="border:0px;height:'.$iheight.'px;width:'.$iwidth.'px;" src="http://www.youtube.com/embed/'.$yt['id'].'?wmode=transparent&rel=0'.$ext_url.'" width="'.$iwidth.'" height="'.$iheight.'" frameborder="0"></iframe></div>';	
	$output .= '<div class="yt-title">';	
	$output .= '<a href="#inline-embed" rel="prettyPhoto[inline]" class="yt-embed">buttons</a>';	
	$output .= '<div id="inline-embed" style="display:none;"><textarea style="width:490px;"><iframe width="'.$iwidth.'" height="'.$iheight.'" src="http://www.youtube.com/embed/'.$yt['id'].'" frameborder="0" allowfullscreen></iframe></textarea></div>';

	if(get_option(THEME_SLUG."_ytplayer_tweet") == "true" && function_exists('theme_tweet_button')){ $output .= theme_tweet_button(); } 
	if(get_option(THEME_SLUG."_ytplayer_fblike") == "true" && function_exists('theme_facebook_like')){ $output .= theme_facebook_like(); } 	

	if(get_option(THEME_SLUG."_ytplayer_views") == 'true'){
		$output .= '<div class="yt-views">'.$yt['views'].'</div>';
	}		
	$output .= <<<EOH
		<h2>{$yt['name']}</h2>
		<div class="yt-uploaded">{$yt['uploaded']}</div>
		<div style="clear:both;"></div>
	</div>
EOH;

	
	$output .= '<div class="yt-description">'.$yt['description'].'</div>';

	$output .= '<div id="comments">';
	$yt_comments = get_option(THEME_SLUG."_ytplayer_comments"); 
	$fb_comments = get_option(THEME_SLUG."_ytplayer_fbcomments");

	if($yt_comments == 'true' && $fb_comments == 'true' && function_exists('theme_facebook_comments') && !$is_mobile){
		$output .= <<<EOH
			<div class="tabs">
				<ul>					
					<li><a href="#yt-comments">Youtube</a></li>	
					<li><a href="#fb-comments">Facebook</a></li>					
				</ul>
EOH;
	} 
	
	if($yt_comments == 'true' || $fb_comments == 'true') {
		$output .= '<h2 class="comment-heading">Comments</h2>';
	}	
		
	if($yt_comments == 'true' && !$is_mobile){
	
		$feed = new SimplePie();
		$feed->enable_cache(false);
		$feed->set_feed_url("https://gdata.youtube.com/feeds/api/videos/".$yt['id']."/comments");
		$success = $feed->init();
		$feed->handle_content_type();

		if ($feed->error()){}
		
		if ($success){ 		
		$items = $feed->get_items();		
			$output .= <<<EOH
			<div id="yt-comments"><ul>
EOH;
			if(count($items) > 0){
				foreach($items as $item){ 
					$author = $item->get_item_tags(SIMPLEPIE_NAMESPACE_ATOM_10, 'author');
					$output .= '<li><div class="comment-body"><div class="yt-comment">';
					$output .= '<div class="yt-comment-text">'.$item->get_description().'</div>';
					$output .= '<span class="yt-comment-author">'.$author[0]['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['name'][0]['data'].'</span>';
					$output .= '<span class="yt-comment-time">'.$item->get_local_date().'</span>';
					$output .= '</div></div></li>';	
				}				
			}else{
				$output .= '<li><div class="yt-comment">No comments available</div></li>';
			}
			$output .= '</ul><div><a href = "http://www.youtube.com/watch?v='.$yt['id'].'" target = "_blank" class="button medium black alignleft"><span>Add Comment</span></a></div>';
			$output .= '</div>';
		}
	}
	if($fb_comments == 'true' && function_exists('theme_facebook_comments')) {
		$output .= '<div id="fb-comments">';
		$output .= theme_facebook_comments('640'); 
		$output .= '</div>';
	}
	if($yt_comments == 'true' && $fb_comments == 'true') {
		$output .= '</div>';
	}
	
	$output .= '</div>';
	$output .= '</div>';	

	return $output;
}

function channelit_thumbnails($yt, $count, $link='internal', $size='medium', $title="true", $views="true", $author="true", $date="true"){

	if($link == 'internal'){
		if ($_SERVER["HTTPS"] == "on") {
			$pageURL = 'https://'.$_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];	
		}else{	
			$pageURL = 'http://'.$_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];	
		}

		$yturl = parse_url($pageURL);
			
		parse_str($_SERVER['QUERY_STRING'], $query);
		if (array_key_exists('ytid', $query)) {
			$key = array_search('ytid', array_keys($query));
			array_splice($query, $key, 1);
		}
		$ytstr = http_build_query($query);	

		$ytamp = "";
		if($ytstr != ""){$ytamp = "&";}
			
		$yt_link = '<a href = "'.$yturl['scheme'].'://'.$yturl['host'].$yturl['path'].'?'.$ytstr.$ytamp.'ytid=';	
	}else{
		$yt_link = '<a rel="prettyPhoto" href = "http://www.youtube.com/watch?v=';
	}

	
	if($size == "small"){
		$imgwidth = "60";
	}elseif($size == "medium"){
		$imgwidth = "80";
	}elseif($size == "large"){
		$imgwidth = "120";
	}elseif($size == "scroller"){
		$imgwidth = "100";
	}
	
	$counter = 0;
	if(count($yt) > $count){
		$yt = array_splice($yt, 0, $count);
	}

	$rel_group = 'channelit_'.rand(1,1000);	
	
	if($size != 'scroller'){
		$output = '<div class="yt-playlist">';
	}else{
		$output .= '<div class="carousel" id="'.$rel_group.'"><a class="buttons prev" href="#">left</a><div class="viewport">';
	}
	
	$output .= '<ul'.(($size == 'scroller') ? ' class="overview"' : '').'>';	
	
	foreach($yt as $video){		
		$output .= '<li><div class="yt-item">';
		$output .= '<div class="preload yt-item-thumb'.(($size == 'scroller') ? '-scroller' : '').'">'.$yt_link.$video['id'].'" title="'.$video['name'].'"><span class="imghover"><img src="http://img.youtube.com/vi/'.$video['id'].'/default.jpg" width = "'.$imgwidth.'" alt="'.$video['name'].'" title="'.$video['name'].'"/></span></a></div>';
		$output .= '<div class="yt-item-content">';
		if($title == 'true'){
			$output .= '<div class="yt-item-title">'.$yt_link.$video['id'].'" title="'.$video['name'].'">'.$video['name'].'</a></div>';
		}
		if($author == 'true'){
			$output .= '<div class="yt-item-author">by '.$video['author'].'</div>';
		}
		if($views == 'true'){
			$output .= '<div class="yt-item-views">'.$video['views'].' views</div>';
		}
		if($date == 'true'){
			$output .= '<div class="yt-item-date">'.$video['uploaded'].'</div>';
		}
		$output .= '</div></div><div style="clear:both;"></div></li>';
	}
	
	$output .= '</ul>';
	
	if($size != 'scroller'){
		$output .= '</div>';
	}else{
		$output .= '</div><a class="buttons next" href="#">right</a></div>';
	}	
		

	if($size == 'scroller'){
		$output .= '<script type="text/javascript">'."\n";
		$output .= '	$(document).ready(function(){	'."\n";
		$output .= '		$("#'.$rel_group.'").tinycarousel({ display: 2 });'."\n";
		$output .= '	});'."\n";
		$output .= '</script>'."\n";		
	}
		
	return $output;
}

function channelit($yt_id = '', $yt_type = 'channel', $yt_width='500', $yt_height='320', $count = '5', $playlist = 'right'){
	
	$output = "";
	
	$yt_cache = ABSPATH . '/wp-content/uploads/ytcache';
	if(!(is_dir($yt_cache))){
		mkdir ( $yt_cache , 0777 );
	}
	$cache = $yt_cache . '/channelit-'. $yt_id . '-' . $count . '.html';
	if($yt_id){
		if($video_arr = channelit_fetch_feed($yt_id, $yt_type, $count)){
			if($_GET['ytid']){
				$yt = $video_arr[$_GET['ytid']];
			}else{
				$yt = $video_arr[key($video_arr)]; 
				reset($video_arr);
			}	
			
			if($yt){
				$output .= '<div class="yt-content">';
				$output .= channelit_player($yt, $yt_width, $yt_height, $playlist);
				$counter = 0;
				foreach($video_arr as $video){
					if($video['id'] == $yt['id']){					
						array_splice($video_arr, $counter, 1);
					}
					$counter++;
				}
				$output .= '<div class="yt-more-videos"><h2>More Videos</h2>';
					
				$output .= channelit_thumbnails($video_arr, $count, 'internal', get_option(THEME_SLUG."_ytthumbs_size"), get_option(THEME_SLUG."_ytthumbs_title"), get_option(THEME_SLUG."_ytthumbs_views"), get_option(THEME_SLUG."_ytthumbs_author"), get_option(THEME_SLUG."_ytthumbs_date"));		
				$output .= '</div></div>';
				file_put_contents($cache, $output);
			}
		}else{
			$output = file_get_contents($cache);
		}
		
	}
	
	return $output;
}

function channelit_videos($yt_id = '', $yt_type = 'channel', $count, $size, $title, $views, $author, $date){

	$output = "";
	$yt_cache = ABSPATH . '/wp-content/uploads/ytcache';
	if(!(is_dir($yt_cache))){
		mkdir ( $yt_cache , 0777 );
	}
	$cache = $yt_cache . '/feed-'. $yt_id . '-' . $count . '.html';	
	if($yt_id){
		if($video_arr = channelit_fetch_feed($yt_id, $yt_type, $count)){
			
			$output .= channelit_thumbnails($video_arr, $count, 'external', $size, $title, $views, $author, $date);
			file_put_contents($cache, $output);
		}else{
			$output = file_get_contents($cache);
		}
	}
	
	return $output;
}

/***** Widget *****/


class theme_channelit extends WP_Widget {

	function theme_channelit() {
		$widget_ops = array( 'classname' => 'theme_channelit', 'description' => __( "Display video feeds from your youtube channel/playlist." ) );
		$this->WP_Widget('theme_channelit', __(THEME_NAME.' - Channelit Videos'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = $instance['title'];
		$count = $instance['count'];
		$type = $instance['type'];
		$id = $instance['id'];
		$size = $instance['size'];
		$stitle = ($instance['stitle']) ? "true" : "";
		$views = ($instance['views']) ? "true" : "";
		$author = ($instance['author']) ? "true" : "";
		$date = ($instance['date']) ? "true" : "";
		
		if(!$count)
			$count = 5;
			
		if(!$size)
			$size = 'medium';	
		

		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
			
		echo channelit_videos($id, $type, $count, $size, $stitle, $views, $author, $date); 						

		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['id'] = trim($new_instance['id']);
		$instance['count'] = (int)trim($new_instance['count']);
		$instance['type'] = trim($new_instance['type']);
		$instance['size'] = trim($new_instance['size']);
		$instance['stitle'] = (trim($new_instance['stitle'])) ? 1 : 0;
		$instance['views'] = (trim($new_instance['views'])) ? 1 : 0;
		$instance['author'] = (trim($new_instance['author'])) ? 1 : 0;
		$instance['date'] = (trim($new_instance['date'])) ? 1 : 0;

		return $instance;
	}

	function form( $instance ) {
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );
		$title = esc_attr( $instance['title'] );
		$id = $instance['id'];
		$count = $instance['count'];
		$type = $instance['type'];
		$size = $instance['size'];
		$stitle = ($instance['stitle']) ? 1 : 0;
		$views = ($instance['views']) ? 1 : 0;
		$author = ($instance['author']) ? 1 : 0;
		$date = ($instance['date']) ? 1 : 0;
?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('type'); ?>"><?php _e( 'Type:' ); ?></label>
		<select class="widefat" id="<?php echo $this->get_field_id('type'); ?>" name="<?php echo $this->get_field_name('type'); ?>"><option value="channel" <?php echo ($type=='channel')?'selected':''; ?>>Channel</option><option value="playlist" <?php echo ($type=='playlist')?'selected':''; ?>>Playlist</option></select></p>
		
		<p><label for="<?php echo $this->get_field_id('id'); ?>"><?php _e( 'Channelt/Playlist ID:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('id'); ?>" name="<?php echo $this->get_field_name('id'); ?>" type="text" value="<?php echo $id; ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e( '# of videos:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('size'); ?>"><?php _e( 'Thumbnail Size:' ); ?></label>
		<select class="widefat" id="<?php echo $this->get_field_id('size'); ?>" name="<?php echo $this->get_field_name('size'); ?>"><option value="small" <?php echo ($size=='small')?'selected':''; ?>>Small</option><option value="medium" <?php echo ($size=='medium')?'selected':''; ?>>Medium</option><option value="large" <?php echo ($size=='large')?'selected':''; ?>>Large</option></select></p>
		
		<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('stitle'); ?>" name="<?php echo $this->get_field_name('stitle'); ?>"<?php checked( $stitle ); ?> />
		<label for="<?php echo $this->get_field_id('stitle'); ?>"><?php _e( 'Show title' ); ?></label></p>
		
		<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('author'); ?>" name="<?php echo $this->get_field_name('author'); ?>"<?php checked( $author ); ?> />
		<label for="<?php echo $this->get_field_id('author'); ?>"><?php _e( 'Show author' ); ?></label></p>
		
		<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('views'); ?>" name="<?php echo $this->get_field_name('views'); ?>"<?php checked( $views ); ?> />
		<label for="<?php echo $this->get_field_id('views'); ?>"><?php _e( 'Show views' ); ?></label></p>
		
		<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('date'); ?>" name="<?php echo $this->get_field_name('date'); ?>"<?php checked( $date ); ?> />
		<label for="<?php echo $this->get_field_id('date'); ?>"><?php _e( 'Show date' ); ?></label></p>
		

<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_channelit");'));


/***** Shortcodes *****/

function theme_sc_channelit($atts) {
	extract(shortcode_atts(array(
		'id' => '',
		'type' => 'channel',
		'count' => '10',
		'playlist' => 'right',
	), $atts));
	
	$width = get_option(THEME_SLUG."_ytplayer_width");
	$height = get_option(THEME_SLUG."_ytplayer_height");
	
	return channelit($id, $type, $width, $height, $count, $playlist);
}
add_shortcode('channelit', 'theme_sc_channelit');

function theme_sc_videos($atts) {
	extract(shortcode_atts(array(
		'id' => '',
		'type' => 'channel',	
		'count' => '5',
		'size' => 'medium',
		'title' => "", 
		'views' => "", 
		'author' => "", 
		'date' => "",
	), $atts));
	
	return channelit_videos($id, $type, $count, $size, $title, $views, $author, $date);
}
add_shortcode('videos', 'theme_sc_videos');

?>