<?php

if(!function_exists('theme_custom_styles')) {
	function theme_custom_styles() {
		global $general_fonts, $google_fonts;
	
		echo '<style type="text/css">'."\n";
		
		echo 'body {font-family:'.$general_fonts[get_option(THEME_SLUG."_gcontent_font_family")].';font-size:'.get_option(THEME_SLUG."_gcontent_font_size").'px;color:#'.get_option(THEME_SLUG."_gcontent_font_color").';}'."\n";		
		
		echo '.general-content {font-family:'.$general_fonts[get_option(THEME_SLUG."_gcontent_font_family")].';font-size:'.get_option(THEME_SLUG."_gcontent_font_size").'px;color:#'.get_option(THEME_SLUG."_gcontent_font_color").';}'."\n";	
		
		echo '.large-content {font-family:'.$general_fonts[get_option(THEME_SLUG."_lcontent_font_family")].';font-size:'.get_option(THEME_SLUG."_lcontent_font_size").'px;color:#'.get_option(THEME_SLUG."_lcontent_font_color").';}'."\n";
		
		echo '.small-content {font-family:'.$general_fonts[get_option(THEME_SLUG."_scontent_font_family")].';font-size:'.get_option(THEME_SLUG."_scontent_font_size").'px;color:#'.get_option(THEME_SLUG."_scontent_font_color").';}'."\n";		
		
		echo '#main-menu li strong {font-family:'.$general_fonts[get_option(THEME_SLUG."_mainmenu_font_family")].';font-size:'.get_option(THEME_SLUG."_mainmenu_font_size").'px !important;}'."\n";
		
		$main_nav_color = get_option(THEME_SLUG."_mainmenu_font_color");
		if($main_nav_color){
			echo '#main-menu .nav-desc {color:#'.$main_nav_color.';}'."\n";
		}	
		
		$sub_nav_color = get_option(THEME_SLUG."_submenu_font_color");
		echo '#sub-nav ul a {font-family:'.$general_fonts[get_option(THEME_SLUG."_mainmenu_font_family")].';font-size:'.get_option(THEME_SLUG."_submenu_font_size").';px'.(($sub_nav_color)?'color:#'.$sub_nav_color.';':'').'}'."\n";
		
		echo '.yt-player{background-image:url('.get_option(THEME_SLUG."_ytplayer_background").') !important;}'."\n";
		
		if(get_option(THEME_SLUG."_mainmenu_desc") != 'true') {
			echo '#main-menu li {height:15px !important;}'."\n";
			echo '#main-menu li:hover ul,#main-menu li.sfHover ul{top:32px;}'."\n";
		}
		
		echo 'h1 {';
		$h1_font = get_option(THEME_SLUG."_h1_font_family");
		if($h1_font != 'none') {
			echo 'font-family:"'.array_search($h1_font, $google_fonts).'";';
		}
		$h1_color = get_option(THEME_SLUG."_h1_font_color");
		if($h1_color) {
			echo 'color:#'.$h1_color.';';
		}
		echo 'font-size:'.get_option(THEME_SLUG."_h1_font_size").'px;font-style:'.get_option(THEME_SLUG."_h1_font_style").';font-weight:'.get_option(THEME_SLUG."_h1_font_weight").';text-decoration:'.get_option(THEME_SLUG."_h1_text_decoration").';}'."\n";
		
		echo 'h2 {';
		$h2_font = get_option(THEME_SLUG."_h2_font_family");
		if($h2_font != 'none') {
			echo 'font-family:"'.array_search($h2_font, $google_fonts).'";';
		}
		$h2_color = get_option(THEME_SLUG."_h2_font_color");
		if($h2_color) {
			echo 'color:#'.$h2_color.';';
		}
		echo 'font-size:'.get_option(THEME_SLUG."_h2_font_size").'px;font-style:'.get_option(THEME_SLUG."_h2_font_style").';font-weight:'.get_option(THEME_SLUG."_h2_font_weight").';text-decoration:'.get_option(THEME_SLUG."_h2_text_decoration").';}'."\n";

		$footer_h2_color = get_option(THEME_SLUG."_footer_header_color");
		if($footer_h2_color) {
			echo '#footer h2{color:#'.$footer_h2_color.';}'."\n";
		}
		
		echo get_option(THEME_SLUG."_customcss");
		
		echo '</style>'."\n";
		
		if($h1_font != 'none') {
			echo '<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family='.$h1_font.'" />';
		}
		
		if($h2_font != 'none' && $h2_font != $h1_font) {
			echo '<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family='.$h2_font.'" />';
		}
	}
}

?>