<?php


function theme_sc_blockquote($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'cite' => false,
	), $atts));
	
	return '<blockquote>' . do_shortcode($content) . ($cite ? '<p><cite>- ' . $cite . '</cite></p>' : '') . '</blockquote>';
}
add_shortcode('blockquote', 'theme_sc_blockquote');


function theme_sc_message($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'align' => false,
	), $atts));
	$align = $align?' '.$align:'';
	return '<div class="' . $code . '"><div class="message-box-content">' . do_shortcode($content) . '</div></div>';
}

add_shortcode('info','theme_sc_message');
add_shortcode('success','theme_sc_message');
add_shortcode('error','theme_sc_message');
add_shortcode('error_msg','theme_sc_message');
add_shortcode('notice','theme_sc_message');


function theme_sc_framed_box($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'width' => '',
		'height' => '',
		'bgcolor' => '',
		'textcolor' => '',
		'rounded' => 'false',
	), $atts));
	
	$width = $width?'width:'.$width.';':'';
	$height = $height?'height:'.$height.';':'';

	if(!empty($width)){
		$style = ' style="'.$width.'"';
	}else{
		$style = '';
	}

	$bgcolor = $bgcolor?'background-color:#'.$bgcolor.';':'';
	$textcolor = $textcolor?'color:#'.$textcolor:'';
	$rounded = ($rounded == 'true')?' rounded':'';
	if( !empty($height) || !empty($bgcolor) || !empty($textcolor)){
		$content_style = ' style="'.$height.$bgcolor.$textcolor.'"';
	}else{
		$content_style = '';
	}
	
	return '[raw]<div class="framed-box' .$rounded. '"'.$style.'><div class="framed-box-content"'.$content_style.'>[/raw]' . do_shortcode($content) . '[raw]<div class="clear"></div></div></div>[/raw]';
}
add_shortcode('framed_box','theme_sc_framed_box');

function theme_sc_note($atts, $content = null) {
	extract(shortcode_atts(array(
		'title' => '',
		'width' => false,
	), $atts));
	$width = $width?' style="width:'.$width.'"':'';
	if(!empty($title)){
		$title = '<h4 class="note_title">'.$title.'</h4>';
	}
	return '[raw]<div class="note"'.$width.'>'.$title.'<div class="note-content">[raw/]' . do_shortcode($content) . '[raw]</div></div>[/raw]';
}
add_shortcode('note','theme_sc_note');

?>