<?php
function theme_sc_content($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'size' => "general",
	), $atts));
	
	return '<div class="'.$size.'-content">' . do_shortcode($content) . '</div>';
}
add_shortcode('content', 'theme_sc_content');

function theme_sc_header($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'size' => "h2",
		'src' => "",
		'description' => "",
	), $atts));
	
	$output = '<div class="image-header"'.(($src) ? ' style="background-image:url('.$src.');"' : '').'>';
	$output .= '<'.$size.((!$description) ? ' class="header-nodesc"' : '').'>' . do_shortcode($content) . '</'.$size.'>';
	if($description){
		$output .= '<div class="header-desc">'.$description.'</div>';
	}
	$output .= '</div>';
	$output .= '<div class="horizontal-separator"></div>';
	
	return $output;
}
add_shortcode('header', 'theme_sc_header');

function theme_sc_list($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'style' => false,
		'float' => false,
	), $atts));
	$ul_styles = array("none", "disc", "circle", "square");
	if(in_array($style, $ul_styles)){
		$list_type = "ul";
	}else{
		$list_type = "ol";
	}
	if($float){
		$float = " float-".$float;
	}
	return '<' . $list_type . ' class="' . $style . $float . '">' . do_shortcode($content) . '</' . $list_type . '><div class="clear"></div>';
}
add_shortcode('list', 'theme_sc_list');

function theme_sc_iframe($atts, $content = null) {
	extract(shortcode_atts(array(
		'width' => false,
		'height' => false,
		'src' => '',
	), $atts));
	
	$width = $width?'width:'.$width.';':'';
	$height = $height?'height:'.$height.';':'';
	
	return '<iframe class="iframe" src="'.$src.'" style="'.$width.$height.'"></iframe>';
}

add_shortcode('iframe','theme_sc_iframe');

function theme_sc_link($atts, $content = null) {
	extract(shortcode_atts(array(
		'text' => 'Read More &rarr;',
		'target' => '_self',
		'url' => '',
	), $atts));
		
	return '<a class="link" href="'.$url.'" target="'.$target.'">'.$text.'</a>';
}

add_shortcode('link','theme_sc_link');

function theme_sc_divider() {
	return '<div class="divider"></div>';
}
add_shortcode('divider', 'theme_sc_divider');

function theme_sc_divider_top() {
	return '<div class="divider-top"><a href="#" class="link-top">Top</a></div>';
}
add_shortcode('divider_top', 'theme_sc_divider_top');

function theme_sc_divider_padding() {
	return '<div class="divider-padding"></div>';
}
add_shortcode('divider_padding', 'theme_sc_divider_padding');

function theme_sc_clear() {
   return '<div class="clear"></div>';
}
add_shortcode('clear', 'theme_sc_clear');

?>