<?php

function theme_sc_image($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'link' => '#',
		'title' => '',
		'width' => false,
		'height' => false,
		'lightbox' => false,
		'align' => 'left',
		'box' => '',
	), $atts));

	$iwidth = preg_replace("/[^0-9]/", "", $width);
	$iheight = preg_replace("/[^0-9]/", "", $height);
	
	$src = trim($content);
	
	$alinkbefore = '';
	$alinkafter = '';
	
	if($link != '#'){
		$alinkbefore = '<a href="'.$link.'"'.(($lightbox == 'true')?' rel="prettyPhoto"':'').' title="'.$title.'" class="preload"><span class="imghover">';
		$alinkafter = '</span></a>';
	}else{
		$alinkbefore = '<span class="attachment-img preload">';
		$alinkafter = '</span>';
	}
	
	switch($box){
		case 'full-banner':
			$iwidth = 956;
			break;
		case 'full-one-half':
			$iwidth = 458;
			break;
		case 'full-one-third':
			$iwidth = 292;
			break;
		case 'full-one-fourth':
			$iwidth = 209;
			break;
		case 'sidebar-banner':
			$iwidth = 636;
			break;
		case 'sidebar-one-half':
			$iwidth = 303;
			break;
		case 'sidebar-one-third':
			$iwidth = 192;
			break;			
	}	
	
	$output = '[raw]<div class="image align-'.$align.'">'.$alinkbefore;
	$output .= '<img'.(($box)?' class="border"':'').(($iwidth)?' width="'.$iwidth.'"':'').(($iheight)?' height="'.$iheight.'"':'').' alt="'.$title.'" src="'.$src.'" />';
	$output .= $alinkafter;
	if($box)
		$output .= '<div class="'.$box.'-shadow"></div>';
	$output .= '</div>[/raw]';
	return $output;
	
}
add_shortcode('image', 'theme_sc_image');


?>