<?php
function theme_sc_video($atts){
	if(isset($atts['type'])){
		switch($atts['type']){			
			case 'flash':
				return theme_video_flash($atts);
				break;
			case 'youtube':
				return theme_video_youtube($atts);
				break;
			case 'vimeo':
				return theme_video_vimeo($atts);
				break;			
		}
	}
	return '';
}
add_shortcode('video', 'theme_sc_video');

function theme_video_flash($atts) {
	extract(shortcode_atts(array(
		'src' => '',
		'id' => '',
		'width' => false,
		'height' => false,
		'play' => 'false',
		'flashvars' => '',
		'box' => '',		
	), $atts));
	
	if($id!=''){
		$id = ' id="'.$id.'"';
	}
	
	$iwidth = preg_replace("/[^0-9]/", "", $width);
	$iheight = preg_replace("/[^0-9]/", "", $height);		
	$output = "";

	$uri = THEME_HOME;
	if (!empty($src)){
	
		switch($box){
			case 'full-banner':
				$iwidth = 960;
				break;
			case 'full-one-half':
				$iwidth = 460;
				break;
			case 'full-one-third':
				$iwidth = 294;
				break;
			case 'full-one-fourth':
				$iwidth = 211;
				break;
			case 'sidebar-banner':
				$iwidth = 640;
				break;
			case 'sidebar-one-half':
				$iwidth = 305;
				break;
			case 'sidebar-one-third':
				$iwidth = 194;
				break;	
		}	
	
		
	$output = '<div class="video-box"><div style="height:'.$height.';width:'.$iwidth.'px;">';
	$output .= <<<HTML
<object{$id} width="{$iwidth}" height="{$iheight}" type="application/x-shockwave-flash" data="{$src}">
	<param name="movie" value="{$src}" />
	<param name="allowFullScreen" value="true" />
	<param name="allowscriptaccess" value="always" />
	<param name="allownetworking" value="all" />
	<param name="expressInstaller" value="{$uri}/swf/player.swf"/>
	<param name="play" value="{$play}"/>
	<param name="wmode" value="transparent" />
	<embed src="{$src}" type="application/x-shockwave-flash" wmode="transparent" allowscriptaccess="always" allownetworking="all" allowfullscreen="true" width="{$iwidth}" height="{$iheight}" />
</object></div>
HTML;
	if($box)
		$output .= '<div class="'.$box.'-shadow"></div>';
	$output .= '</div>';

	}
	return $output;
}

function theme_video_vimeo($atts) {
	extract(shortcode_atts(array(
		'clip_id' => '',
		'width' => false,
		'height' => false,
		'box' => '',		
	), $atts));

	$iwidth = preg_replace("/[^0-9]/", "", $width);
	$iheight = preg_replace("/[^0-9]/", "", $height);	

	switch($box){
		case 'full-banner':
			$iwidth = 960;
			break;
		case 'full-one-half':
			$iwidth = 460;
			break;
		case 'full-one-third':
			$iwidth = 294;
			break;
		case 'full-one-fourth':
			$iwidth = 211;
			break;
		case 'sidebar-banner':
			$iwidth = 640;
			break;
		case 'sidebar-one-half':
			$iwidth = 305;
			break;
		case 'sidebar-one-third':
			$iwidth = 194;
			break;	
	}		
	$output = "";
	if (!empty($clip_id)){
		$output = '<div class="video-box"><div style="height:'.$height.';width:'.$iwidth.'px;">';
		$output .= '<iframe style="height:'.$height.';width:'.$iwidth.'px;" src="http://player.vimeo.com/video/'.$clip_id.'" width="'.$iwidth.'" height="'.$iheight.'" frameborder="0"></iframe></div>';		
		if($box)
			$output .= '<div class="'.$box.'-shadow"></div>';
		$output .= '</div>';	
	}
	return $output;
}

function theme_video_youtube($atts, $content=null) {
	extract(shortcode_atts(array(
		'clip_id' => '',
		'width' => false,
		'height' => false,
		'box' => '',
		
	), $atts));
	
	$iwidth = preg_replace("/[^0-9]/", "", $width);
	$iheight = preg_replace("/[^0-9]/", "", $height);	
	
	switch($box){
		case 'full-banner':
			$iwidth = 960;
			break;
		case 'full-one-half':
			$iwidth = 460;
			break;
		case 'full-one-third':
			$iwidth = 294;
			break;
		case 'full-one-fourth':
			$iwidth = 211;
			break;
		case 'sidebar-banner':
			$iwidth = 640;
			break;
		case 'sidebar-one-half':
			$iwidth = 305;
			break;
		case 'sidebar-one-third':
			$iwidth = 194;
			break;
	}	
	
	$output = "";
	if (!empty($clip_id)){
		$output = '<div class="video-box"><div style="height:'.$height.';width:'.$iwidth.'px;">';
		$output .= '<iframe style="height:'.$height.';width:'.$iwidth.'px;" src="http://www.youtube.com/embed/'.$clip_id.'" width="'.$iwidth.'" height="'.$iheight.'" frameborder="0"></iframe></div>';
		if($box)
			$output .= '<div class="'.$box.'-shadow"></div>';
		$output .= '</div>';	
	}
	return $output;
}

?>