<?php
/***** Ads Widget *****/

class theme_ads extends WP_Widget {

	function theme_ads() {
		$widget_ops = array( 'classname' => 'theme_ads', 'description' => __( "Advertisement" ) );
		$this->WP_Widget('theme_ads', __(THEME_NAME.' - Advertisements'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title']);

		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
	
		for($i=1; $i<= 4; $i++){
			
			$image = isset($instance['ad_'.$i.'_image'])?$instance['ad_'.$i.'_image']:'';
			$link = isset($instance['ad_'.$i.'_link'])?$instance['ad_'.$i.'_link']:'';
			if(!$image){
				$image = THEME_HOME.'/images/ads.png';
			}
		
			echo '<div class="ad">';
			if($link)
				echo '<a href="'.$link.'" rel="nofollow" target="_blank" alt="Advertisment">';
			get_the_image(array('default_image' => $image, 'width' => 100, 'height' => 100));
			if($link)
				echo '</a>';
			echo '</div>';			
		}	
		echo '<div class="clear"></div>';
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		for($i=1;$i<=4;$i++){
			$instance['ad_'.$i.'_image'] = strip_tags($new_instance['ad_'.$i.'_image']);
			$instance['ad_'.$i.'_link'] = strip_tags($new_instance['ad_'.$i.'_link']);
		}
		return $instance;
	}

	function form( $instance ) {
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );
		$title = esc_attr( $instance['title'] );

?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>

<?php
	
		for($i=1;$i<=4;$i++){
			$ad_image = isset($instance['ad_'.$i.'_image']) ? $instance['ad_'.$i.'_image'] : '';
			$ad_link = isset($instance['ad_'.$i.'_link']) ? $instance['ad_'.$i.'_link'] : '';
?>
		<p><label for="<?php echo $this->get_field_id( 'ad_'.$i.'_image' ); ?>"><?php printf(__('Ad #%s Image URL:'),$i);?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'ad_'.$i.'_image' ); ?>" name="<?php echo $this->get_field_name( 'ad_'.$i.'_image' ); ?>" type="text" value="<?php echo $ad_image; ?>" /></p>
		<p><label for="<?php echo $this->get_field_id( 'ad_'.$i.'_link' ); ?>"><?php printf(__('Ad #%s Link:'),$i);?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'ad_'.$i.'_link' ); ?>" name="<?php echo $this->get_field_name( 'ad_'.$i.'_link' ); ?>" type="text" value="<?php echo $ad_link; ?>" /></p>
<?php		
		}
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_ads");'));

?>