<?php
/***** Opt-in Widget *****/

class theme_optin_widget extends WP_Widget {

	function theme_optin_widget() {
		$widget_ops = array('classname' => 'theme_optin_widget', 'description' => __('An Opt-in form.'));
		$this->WP_Widget('theme_optin_widget', __(THEME_NAME.' - Opt-in form'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		
		$email = $instance['email'];
	
		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;

		?>
<div class="opt-in">
<form id="opt-in" action="">
<input type="hidden" name="to" value="<?php echo trim($email); ?>" />
<div class="opt-in-field"><label for="optin_name" class="opt-in-label">Name:</label><input type="text" name="optin_name" class="opt-in-textbox" /></div>
<div class="opt-in-field"><label for="optin_email" class="opt-in-label">Email:</label><input type="text" name="optin_email" class="opt-in-textbox" /></div>
<div class="opt-in-field"><button type="button" id="optin_submit" class="button medium gray alignleft"><span>Submit</span></button><div id="optin_info" class="opt-in-info"></div></div>
<div style="clear:both;"></div>
</form>
</div>
		<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['email'] = $new_instance['email'];

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);
		$email = $instance['email'];
		
?>
		<p style="color:#999;"><em>Enter the email addreses (comma separated) to which the opt-in information should be emailed to.</em></p><br />

		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('email'); ?>"><?php _e('Email'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo esc_attr($email); ?>" /></p>

<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_optin_widget");'));


add_action('wp_ajax_optinsubmit', 'theme_optin_submit_callback');
add_action('wp_ajax_nopriv_optinsubmit', 'theme_optin_submit_callback');

function theme_optin_submit_callback(){	
	$sitename = get_bloginfo('name');
	$siteurl =  get_bloginfo('siteurl');

	$to = ($_POST['to'])?trim($_POST['to']):get_bloginfo('admin_email');
	$name = ($_POST['name'])?trim($_POST['name']):'';
	$email = ($_POST['email'])?trim($_POST['email']):'';
	
	$error = false;
	if($to == '' || $email == '' || $name == ''){
		$error = true;
	}
	if(!preg_match('/^[^@]+@[a-zA-Z0-9._-]+\.[a-zA-Z]+$/', $email)){
		$error = true;
	}

	if($error == false){
		$subject = $sitename."'s Opt-in from ".$name;
		$body = "Site: ".$sitename." (".$siteurl." )\n\nName: ".$name." \n\nEmail: ".$email;
		$headers = "From: ".$name." <".$email.">\r\n";
		$headers .= "Reply-To: ".$email."\r\n";
		
		
		if(wp_mail($to, $subject, $body, $headers)){
			echo 'Submission Successful!';
		}
	}else{
		echo 'Please check the validity of the fields!';
	}
	exit;
}


?>