<?php
/***** Social Media Widget *****/

class theme_social_widget extends WP_Widget {

	function theme_social_widget() {
		$widget_ops = array('classname' => 'theme_social_widget', 'description' => __('Link to your RSS feed and social media accounts.'));
		$this->WP_Widget('theme_social_widget', __(THEME_NAME.' - Social Presence'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$title_link = strip_tags($instance['title_link']);		
		
		$social['RSS'] = $instance['rss'];
		$social['Twitter'] = $instance['twitter'];
		$social['Facebook'] = $instance['facebook'];
		$social['Flickr'] = $instance['flickr'];
		$social['YouTube'] = $instance['youtube'];
		$social['LinkedIn'] = $instance['linkedin'];
		$social['Vimeo'] = $instance['vimeo'];
		
		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;

		?>
<ul class="social-icons">
<?php if (empty($social['RSS'])) : ?>
<li><a href="<?php bloginfo('rss2_url'); ?>" class="rss" title="RSS">rss</a></li>
<?php else : ?>
<li><a href="<?php echo $social['RSS'] ?>" class="rss" title="RSS">rss</a></li>
<?php endif; ?>	
<?php foreach(array("Twitter", "Facebook", "Flickr", "YouTube", "LinkedIn", "Vimeo") as $item) : ?>
<?php if (!empty($social[$item])) : ?>
<li><a href="<?php echo $social[$item]; ?>" class="<?php echo strtolower($item); ?>" title="<?php echo $item; ?>"><?php echo $social[$item]; ?></a></li>
<?php endif; ?>
<?php endforeach; ?>
</ul>
		<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['rss'] = $new_instance['rss'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['facebook'] = $new_instance['facebook'];
		$instance['flickr'] = $new_instance['flickr'];
		$instance['youtube'] = $new_instance['youtube'];
		$instance['linkedin'] = $new_instance['linkedin'];
		$instance['vimeo'] = $new_instance['vimeo'];

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);
		$rss = $instance['rss'];
		$twitter = $instance['twitter'];		
		$facebook = $instance['facebook'];	
		$flickr = $instance['flickr'];	
		$youtube = $instance['youtube'];
		$linkedin = $instance['linkedin'];
		$vimeo = $instance['vimeo'];

?>
		<p style="color:#999;"><em>Enter the full URL to each of your social media accounts. Simply leave the field blank if you do not wish to display it.</em></p><br />

		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('rss'); ?>"><?php _e('RSS URL: (leave empty for default feed)'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('rss'); ?>" name="<?php echo $this->get_field_name('rss'); ?>" type="text" value="<?php echo esc_attr($rss); ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('facebook'); ?>"><?php _e('Facebook URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('facebook'); ?>" name="<?php echo $this->get_field_name('facebook'); ?>" type="text" value="<?php echo esc_attr($facebook); ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('twitter'); ?>"><?php _e('Twitter URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" type="text" value="<?php echo esc_attr($twitter); ?>" /></p>

		<p><label for="<?php echo $this->get_field_id('flickr'); ?>"><?php _e('Flickr URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('flickr'); ?>" name="<?php echo $this->get_field_name('flickr'); ?>" type="text" value="<?php echo esc_attr($flickr); ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id('youtube'); ?>"><?php _e('Youtube URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('youtube'); ?>" name="<?php echo $this->get_field_name('youtube'); ?>" type="text" value="<?php echo esc_attr($youtube); ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id('linkedin'); ?>"><?php _e('LinkedIn URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('linkedin'); ?>" name="<?php echo $this->get_field_name('linkedin'); ?>" type="text" value="<?php echo esc_attr($linkedin); ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id('vimeo'); ?>"><?php _e('Vimeo URL:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('vimeo'); ?>" name="<?php echo $this->get_field_name('vimeo'); ?>" type="text" value="<?php echo esc_attr($vimeo); ?>" /></p>
        
<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("theme_social_widget");'));
?>