var $ = jQuery.noConflict();


jQuery(document).ready(function(){	

	/***** Accordion *****/
	
	$('div.accordion').accordion({
		active:".selected",
		autoHeight:false,
		header:"h3",
		collapsible:true,
		event:"click"
	});
	
	
	/***** Main Menu Navigation *****/
	
	$("#main-menu li:has(ul)").addClass("parent");
	$('ul#main-menu').superfish({
		delay:100,
		autoArrows:false,
		dropShadows:false 
	});
	
	
	/***** Scroll to Top *****/
	
	$('a.link-top').click(function(){
		if(!$.browser.opera){
			$('body').animate({scrollTop:0},{queue:false,duration:1200})
		}
		$('html').animate({scrollTop:0},{queue:false,duration:1200});
		return false
	});
	
	
	/***** Toggle *****/
	
	$(".toggle-title").toggle(
		function(){
			$(this).addClass('toggle-active');
			$(this).siblings('.toggle-content').slideDown("fast");
		},
		function(){
			$(this).removeClass('toggle-active');
			$(this).siblings('.toggle-content').slideUp("fast");
		}
	);
	
	
	/***** Tabs *****/
	$(".tabs").tabs();
	
	
	/***** Pretty Photo *****/
	$("a[rel^='prettyPhoto']").prettyPhoto({theme:'light_square',social_tools:''});
	
	
	/***** Imgage Hover *****/
	$(".imghover").hover(
		function(){
			$(this).addClass('imgfadein');
			$(this).children().first().stop(true);
			$(this).children().first().fadeTo('normal',.60);
		},
		function(){
			$(this).removeClass('imgfadein');
			$(this).children().first().stop(true);
			$(this).children().first().fadeTo('normal',1.0);
		}
	);
	
	
	/***** Image Preloader *****/
		
	(function($){
		$.fn.preloadImages = function(){

			return this.each(function() {

				var container = $(this);			
				var images = container.find('.preload img');	
				var count = images.length;
				var showImage = function(image,container){
					
					count --;				
					if(count == 0){				
						
						images.each(function(i,e){
							var image = $(this);
							setTimeout(function(){
								image.css('visibility','visible').animate({opacity:1}, 500, function(){$(this).closest('.preload').removeClass('preload')});
							},100*(i+1));
						});
						setTimeout(function(){$('.preload').removeClass('preload')}, 100*images.length+500);					
					}
				};			
				
				images.each(function(i){
				
					image = $(this);			
									
					if(this.complete==true){
						showImage(image,container);
					}else{
						image.bind('error load',{source:image,holder:container}, showImage);
						if($.browser.opera || ($.browser.msie && parseInt(jQuery.browser.version, 10) == 9) ){
							image.trigger("load");
						}
					}
				});			
			});
		
		}
	})(jQuery);
	
	$("html").preloadImages();
	
	
	/***** Opt-in *****/
	
	$('#optin_submit').click(function(){	
		var error = false;
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		var to_val = $('#opt-in input[name=to]').val();
		var name_val = $('#opt-in input[name=optin_name]').val();
		var email_val = $('#opt-in input[name=optin_email]').val();
        if(email_val == '') {
            error = true;
        } 
        if(!emailReg.test(email_val)) {
            error = true;
        }		
		
		if(error == false){
			$("#optin_info").html('Submitting information...');
			$.post(ThemeAjax.ajaxurl, {action:'optinsubmit', to:to_val, name:name_val, email:email_val}, function(response) {			
				$("#optin_info").html(response);
				$('#opt-in input[name=optin_name]').val('');
				$('#opt-in input[name=optin_email]').val('');
			});
		}else{
			$("#optin_info").html('Please check the validity of the fields!');
		}
	});


});
	
