<?php
ob_start();
require_once( '../../../../wp-load.php' );

$pausetime = (int)($_GET['delay']/1000);
if(!$pausetime){
	$pausetime = (int)(get_option(THEME_SLUG."_piecemaker_slider_pausetime")/1000);
}

$animspeed = number_format((get_option(THEME_SLUG."_piecemaker_slider_animspeed")/1000), 1);
$effect = get_option(THEME_SLUG."_piecemaker_slider_effect");

$width = (int)$_GET['width'];
if(!$width){
	$width = 960;
}
$height = (int)$_GET['height'];
if(!$height){
	$height = 350;
}

$output = '<?xml version="1.0" encoding="utf-8"?>';
$output .= '<Piecemaker><Settings><imageWidth>'.$width.'</imageWidth><imageHeight>'.$height.'</imageHeight>';
$output .='<segments>10</segments><tweenTime>'.$animspeed.'</tweenTime><tweenDelay>0.1</tweenDelay><tweenType>'.$effect.'</tweenType>';
$output .='<zDistance>0</zDistance><expand>20</expand><innerColor>0x111111</innerColor><textBackground>0x0064C8</textBackground><shadowDarkness>100</shadowDarkness><textDistance>25</textDistance><autoplay>'.$pausetime.'</autoplay></Settings>';

$category = isset($_GET['category'])?$_GET['category']:'';

$type = $_GET['type'];
$images = array();

if($type == "gallery"){	
	$post_type = "gallery";
}else{
	$post_type = "slideshow";	
}

$query = array(
	'post_type' => $post_type,
	'taxonomy' => $post_type.'_category', 
	'orderby'=>'menu_order', 
	'order'=>'ASC',
	'numberposts'=>-1,
);	
if($category != 'all'){		
	$query['term'] = $category;
}

$loop = new WP_Query($query);

while ( $loop->have_posts() ) : $loop->the_post();
	
	if ( has_post_thumbnail() ) {
		$image_id = get_post_thumbnail_id();
		$image_url = wp_get_attachment_image_src($image_id, 'full', true);
		$images[] = $image_url[0];					
	}
	
endwhile;
wp_reset_query();

$home_url = home_url();

foreach ($images as $image){
	$output .= '<Image Filename="'.str_replace($home_url,'',$image).'">';
	$output .= '</Image>';
}
$output.='</Piecemaker>';

header("Content-type: text/xml");
$output .= ob_get_clean();
echo trim($output);
?>