<?php get_header(); ?>
<div class="main-container">
<div class="content-sidebar content-left">
<?php theme_head("true", "false"); ?>
<div id="content">
<?php if(have_posts()) : while (have_posts()) : the_post(); ?>
<div class="post-wrapper">
<div class="post-title">
<h1><?php the_title(); ?></h1>
</div><!-- .post-title -->		
<?php
$image_id = get_post_thumbnail_id();
$image = wp_get_attachment_image_src($image_id, 'full', true);

$type =  get_post_meta($post->ID, THEME_SLUG."_portfolio_type", true);
$linkurl =  get_post_meta($post->ID, THEME_SLUG."_portfolio_url", true);
$lightbox = get_post_meta($post->ID, THEME_SLUG."_portfolio_lightbox", true);
$gallery = get_post_meta($post->ID, THEME_SLUG."_gallery", true);

if(empty($linkurl)){
	$linkurl = $image[0];
}

$rel = "";
$onclick = "";
if($lightbox == "true"){	
	$rel = ' rel="prettyPhoto"';
}

if($type == "gallery"){

	$rel = "";
	$linkurl = "#";
	$gallery_files = array();
	$gallery_titles = array();
	$gallery_desc = array();

	$gquery = array(
		'post_type' => 'gallery',
		'taxonomy' => 'gallery_category', 
		'orderby'=>'menu_order', 
		'order'=>'ASC',
		'numberposts'=>-1,
	);
	if($gallery != 'all'){		
		$gquery['term'] = $gallery;
	}
			
	$gallery_query = new WP_Query($gquery);		

	$output = '<script type="text/javascript">'."\n";				

	if($gallery_query->have_posts()) {	
		while ($gallery_query->have_posts()) {
			$gallery_query->the_post();								
			if ( has_post_thumbnail() ) {
				$image_id = get_post_thumbnail_id();
				$image_url = wp_get_attachment_image_src($image_id, 'full', true);
				$gallery_files[] = "'".$image_url[0]."'";
				$gallery_desc[] = "'".get_the_title()."'";
				$gallery_titles[] = "''";
			}									
		}	
	}				
	wp_reset_postdata();
	$output .= '	api_gallery_'.$post->ID.'=['.implode(',', $gallery_files).'];'."\n";
	$output .= '	api_titles_'.$post->ID.'=['.implode(',', $gallery_titles).'];'."\n";
	$output .= '	api_desc_'.$post->ID.'=['.implode(',', $gallery_desc).'];'."\n";
	$output .= '  </script>';
	echo $output;
	$onclick = ' onclick="$.prettyPhoto.open(api_gallery_'.$post->ID.', api_titles_'.$post->ID.', api_desc_'.$post->ID.'); return false"';
}

if($type == "link"){
	$rel = "";
}

if($type == "iframe"){
	$str = parse_url($linkurl, PHP_URL_QUERY);				
	$amp = "?";
	if($str != ""){
		$amp = "&";
	}
	
	$linkurl = $linkurl.$amp."iframe=true&width=90%&height=90%";
}

if($type == "audio"){
	$linkurl = THEME_HOME.'/swf/audio.swf?width=292&amp;height=30&amp;flashvars=snd_name='.urlencode($linkurl).'&amp;controls_color=0x888888&amp;controls_color_over=0xffffff&amp;player_color=0x0000000&amp;auto_play_on_start=On';
}
?>
<div class="post-content">	
<?php if(has_post_thumbnail()) : ?>
<div class="post-thumb">
<a class="preload" href="<?php echo $linkurl; ?>"<?php echo $rel.$onclick; ?> title="<?php the_title(); ?>">
<span class="imghover"><?php get_the_image( array('size' => 'blog_thumb_image','echo'=>true,'link_to_post'=>false,'width'=>558,'height'=>260) );?></span></a>
<div class="post-thumb-shadow"></div>
</div><!-- .post-thumb -->
<?php else : ?> 
<?php endif; ?>	
<div class="post-text">
<?php the_content(); ?>
</div><!-- .post-text -->	
</div><!-- .post-content -->		
<?php if(get_option(THEME_SLUG."_blog_tweet") == "true" && function_exists('theme_tweet_button')){ echo theme_tweet_button(); } ?>
<?php if(get_option(THEME_SLUG."_blog_fblike") == "true" && function_exists('theme_facebook_like')){ echo theme_facebook_like(); } ?>
<div class="post-footer"></div><!-- .post-footer -->
</div><!-- .post-wrapper -->	
<?php endwhile; else: ?>
<h2>Nothing Found</h2>
<p>Sorry, it appears there is no content in this section.</p>
<?php endif; ?>
<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?>
</div><!-- #content -->
</div><!-- .content-sidebar -->
<?php theme_sidebar(false, true, "content", "right"); ?>
</div><!-- .main-container -->
<?php get_footer(); ?>